#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(btmrvl_interrupt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_check_evtpkt, "_gpl", "");
KSYMTAB_FUNC(btmrvl_process_event, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_module_cfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_pscan_window_reporting, "_gpl", "");
KSYMTAB_FUNC(btmrvl_send_hscfg_cmd, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_ps, "_gpl", "");
KSYMTAB_FUNC(btmrvl_enable_hs, "_gpl", "");
KSYMTAB_FUNC(btmrvl_register_hdev, "_gpl", "");
KSYMTAB_FUNC(btmrvl_add_card, "_gpl", "");
KSYMTAB_FUNC(btmrvl_remove_card, "_gpl", "");

SYMBOL_CRC(btmrvl_interrupt, 0x5c5ef7e0, "_gpl");
SYMBOL_CRC(btmrvl_check_evtpkt, 0xdc2a6931, "_gpl");
SYMBOL_CRC(btmrvl_process_event, 0x10987308, "_gpl");
SYMBOL_CRC(btmrvl_send_module_cfg_cmd, 0xfe888c54, "_gpl");
SYMBOL_CRC(btmrvl_pscan_window_reporting, 0xae2f09b1, "_gpl");
SYMBOL_CRC(btmrvl_send_hscfg_cmd, 0x08f449e9, "_gpl");
SYMBOL_CRC(btmrvl_enable_ps, 0x27a7f2c5, "_gpl");
SYMBOL_CRC(btmrvl_enable_hs, 0xa9cd7e21, "_gpl");
SYMBOL_CRC(btmrvl_register_hdev, 0x17136ffa, "_gpl");
SYMBOL_CRC(btmrvl_add_card, 0xa2965326, "_gpl");
SYMBOL_CRC(btmrvl_remove_card, 0xe7ee3820, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2c11986, "wake_up_process" },
	{ 0x9f0e1538, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0xf80573da, "skb_queue_tail" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8fe456be, "simple_open" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x46cd9330, "skb_push" },
	{ 0x68b286a9, "debugfs_remove" },
	{ 0x215fd9a2, "kthread_stop" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8170743d, "default_llseek" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x2505bf18, "kstrtol_from_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb82ee8cb, "debugfs_create_x16" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0x61f9bb83, "hci_unregister_dev" },
	{ 0xf310191e, "debugfs_create_file" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x35141b71, "hci_register_dev" },
	{ 0x8d909ea0, "__hci_cmd_sync" },
	{ 0xe5364758, "debugfs_create_u8" },
	{ 0x2154e269, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xe9744580, "skb_queue_head" },
	{ 0x44d9bdff, "skb_put" },
	{ 0x25cdcb78, "hci_free_dev" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4db525d8, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x82e6cf11, "hci_alloc_dev_priv" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "bluetooth");


MODULE_INFO(srcversion, "4DAA8C2DB56C352B9807349");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
