#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0xe1cc2672, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0xd3b93ef8, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x3d54489d, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x942835ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0x199324f9, "iio_trigger_unregister" },
	{ 0xe2628e66, "iio_triggered_buffer_cleanup" },
	{ 0xb72a147c, "regulator_bulk_disable" },
	{ 0xd645b0c1, "devm_iio_device_alloc" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0x731aa6eb, "iio_read_mount_matrix" },
	{ 0x5ca0f1ba, "devm_regulator_bulk_get" },
	{ 0xf56c29f3, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x862a6b73, "iio_triggered_buffer_setup_ext" },
	{ 0xba606a65, "devm_request_threaded_irq" },
	{ 0xfeefecbb, "iio_device_id" },
	{ 0xea3de205, "__devm_iio_trigger_alloc" },
	{ 0x5f55f022, "iio_trigger_register" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0xb5120a1c, "__iio_device_register" },
	{ 0x73174520, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37a0cba, "kfree" },
	{ 0x51229513, "dev_err_probe" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0x11b51576, "iio_read_const_attr" },
	{ 0x31067806, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe8532aad, "regmap_write" },
	{ 0xddb9e11d, "regmap_get_device" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x228ff105, "iio_get_time_ns" },
	{ 0xfedbd90e, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa72c7a7c, "regmap_update_bits_base" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x515044a9, "__pm_runtime_suspend" },
	{ 0xf4d7e86a, "regmap_read" },
	{ 0xdc373b18, "iio_buffer_enabled" },
	{ 0x8e0ff19b, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9056c0d, "iio_device_get_current_mode" },
	{ 0x8117a3ab, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xba934f20, "iio_push_to_buffers" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf0ea657e, "iio_push_event" },
	{ 0x5fcc1dfb, "iio_trigger_notify_done" },
	{ 0x7ffd6f05, "iio_device_unregister" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "CB5BF596FEB1B26CB0E974F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
