#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65b45cb, "complete" },
	{ 0x46462942, "input_mt_report_pointer_emulation" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe38fed59, "input_allocate_device" },
	{ 0x5019d009, "input_set_capability" },
	{ 0xf8dca966, "input_set_abs_params" },
	{ 0x2d1144c3, "input_alloc_absinfo" },
	{ 0x8c559ede, "input_mt_init_slots" },
	{ 0x5bfa8cde, "input_free_device" },
	{ 0x1b8d29b0, "input_register_device" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x577ee88b, "request_firmware_nowait" },
	{ 0x73716044, "request_firmware" },
	{ 0x4f483505, "device_property_present" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x1919ce67, "device_property_read_u32_array" },
	{ 0x5ca0f1ba, "devm_regulator_bulk_get" },
	{ 0xa83d481c, "devm_gpiod_get_optional" },
	{ 0xba606a65, "devm_request_threaded_irq" },
	{ 0xf56c29f3, "regulator_bulk_enable" },
	{ 0x904b1b26, "sysfs_create_group" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61d7c402, "i2c_register_driver" },
	{ 0x531dce1c, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5fc75d7e, "i2c_del_driver" },
	{ 0xeafd820, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x2d045df4, "i2c_transfer_buffer_flags" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x2c290ec4, "irq_get_irq_data" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xeffdf8c, "input_device_enabled" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x589e118c, "sysfs_remove_group" },
	{ 0xd862d35a, "input_unregister_device" },
	{ 0xb72a147c, "regulator_bulk_disable" },
	{ 0xb4df99aa, "input_event" },
	{ 0x323c4b3, "input_mt_report_slot_state" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("i2c:qt602240_ts");
MODULE_ALIAS("i2c:atmel_mxt_ts");
MODULE_ALIAS("i2c:atmel_mxt_tp");
MODULE_ALIAS("i2c:maxtouch");
MODULE_ALIAS("i2c:mXT224");
MODULE_ALIAS("acpi*:ATML0000:*");
MODULE_ALIAS("acpi*:ATML0001:*");
MODULE_ALIAS("of:N*T*Catmel,maxtouch");
MODULE_ALIAS("of:N*T*Catmel,maxtouchC*");
MODULE_ALIAS("of:N*T*Catmel,qt602240_ts");
MODULE_ALIAS("of:N*T*Catmel,qt602240_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_ts");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tsC*");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tp");
MODULE_ALIAS("of:N*T*Catmel,atmel_mxt_tpC*");
MODULE_ALIAS("of:N*T*Catmel,mXT224");
MODULE_ALIAS("of:N*T*Catmel,mXT224C*");

MODULE_INFO(srcversion, "B779EFF909AFD78DEBE8CF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
