#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(md_cluster_ops, "", "");
KSYMTAB_FUNC(md_new_event, "_gpl", "");
KSYMTAB_FUNC(md_handle_request, "", "");
KSYMTAB_FUNC(mddev_suspend, "_gpl", "");
KSYMTAB_FUNC(mddev_resume, "_gpl", "");
KSYMTAB_FUNC(md_flush_request, "", "");
KSYMTAB_FUNC(mddev_init, "_gpl", "");
KSYMTAB_FUNC(mddev_destroy, "_gpl", "");
KSYMTAB_FUNC(mddev_unlock, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_nr_rcu, "_gpl", "");
KSYMTAB_FUNC(md_find_rdev_rcu, "_gpl", "");
KSYMTAB_FUNC(md_rdev_clear, "_gpl", "");
KSYMTAB_FUNC(sync_page_io, "_gpl", "");
KSYMTAB_FUNC(md_check_no_bitmap, "", "");
KSYMTAB_FUNC(md_integrity_register, "", "");
KSYMTAB_FUNC(md_integrity_add_rdev, "", "");
KSYMTAB_FUNC(md_update_sb, "", "");
KSYMTAB_FUNC(md_rdev_init, "_gpl", "");
KSYMTAB_FUNC(md_idle_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_frozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(md_unfrozen_sync_thread, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_rdev_limits, "_gpl", "");
KSYMTAB_FUNC(mddev_stack_new_rdev, "_gpl", "");
KSYMTAB_FUNC(mddev_update_io_opt, "_gpl", "");
KSYMTAB_FUNC(md_run, "_gpl", "");
KSYMTAB_FUNC(md_start, "_gpl", "");
KSYMTAB_FUNC(md_stop_writes, "_gpl", "");
KSYMTAB_FUNC(md_stop, "_gpl", "");
KSYMTAB_FUNC(md_set_array_sectors, "", "");
KSYMTAB_FUNC(md_wakeup_thread, "", "");
KSYMTAB_FUNC(md_register_thread, "", "");
KSYMTAB_FUNC(md_unregister_thread, "", "");
KSYMTAB_FUNC(md_error, "", "");
KSYMTAB_FUNC(register_md_personality, "", "");
KSYMTAB_FUNC(unregister_md_personality, "", "");
KSYMTAB_FUNC(register_md_cluster_operations, "", "");
KSYMTAB_FUNC(unregister_md_cluster_operations, "", "");
KSYMTAB_FUNC(md_done_sync, "", "");
KSYMTAB_FUNC(md_write_start, "", "");
KSYMTAB_FUNC(md_write_inc, "", "");
KSYMTAB_FUNC(md_write_end, "", "");
KSYMTAB_FUNC(md_submit_discard_bio, "_gpl", "");
KSYMTAB_FUNC(md_account_bio, "_gpl", "");
KSYMTAB_FUNC(md_free_cloned_bio, "_gpl", "");
KSYMTAB_FUNC(md_allow_write, "_gpl", "");
KSYMTAB_FUNC(md_do_sync, "_gpl", "");
KSYMTAB_FUNC(md_check_recovery, "", "");
KSYMTAB_FUNC(md_reap_sync_thread, "", "");
KSYMTAB_FUNC(md_wait_for_blocked_rdev, "", "");
KSYMTAB_FUNC(md_finish_reshape, "", "");
KSYMTAB_FUNC(rdev_set_badblocks, "_gpl", "");
KSYMTAB_FUNC(rdev_clear_badblocks, "_gpl", "");
KSYMTAB_FUNC(md_reload_sb, "", "");
KSYMTAB_FUNC(md_bitmap_update_sb, "", "");
KSYMTAB_FUNC(md_bitmap_unplug, "", "");
KSYMTAB_FUNC(md_bitmap_unplug_async, "", "");
KSYMTAB_FUNC(md_bitmap_startwrite, "", "");
KSYMTAB_FUNC(md_bitmap_endwrite, "", "");
KSYMTAB_FUNC(md_bitmap_start_sync, "", "");
KSYMTAB_FUNC(md_bitmap_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_close_sync, "", "");
KSYMTAB_FUNC(md_bitmap_cond_end_sync, "", "");
KSYMTAB_FUNC(md_bitmap_sync_with_cluster, "", "");
KSYMTAB_FUNC(md_bitmap_free, "", "");
KSYMTAB_FUNC(md_bitmap_load, "_gpl", "");
KSYMTAB_FUNC(get_bitmap_from_slot, "", "");
KSYMTAB_FUNC(md_bitmap_copy_from_slot, "_gpl", "");
KSYMTAB_FUNC(md_bitmap_resize, "_gpl", "");

SYMBOL_CRC(md_cluster_ops, 0x015258be, "");
SYMBOL_CRC(md_new_event, 0xe6e6b684, "_gpl");
SYMBOL_CRC(md_handle_request, 0xd52ff9c3, "");
SYMBOL_CRC(mddev_suspend, 0x36ee1da5, "_gpl");
SYMBOL_CRC(mddev_resume, 0x8c563697, "_gpl");
SYMBOL_CRC(md_flush_request, 0x8583fdf4, "");
SYMBOL_CRC(mddev_init, 0x8a6ace47, "_gpl");
SYMBOL_CRC(mddev_destroy, 0xa920fca7, "_gpl");
SYMBOL_CRC(mddev_unlock, 0xb2ff7e9c, "_gpl");
SYMBOL_CRC(md_find_rdev_nr_rcu, 0xda070b7c, "_gpl");
SYMBOL_CRC(md_find_rdev_rcu, 0xbc529bb0, "_gpl");
SYMBOL_CRC(md_rdev_clear, 0x66f89192, "_gpl");
SYMBOL_CRC(sync_page_io, 0xefccfee8, "_gpl");
SYMBOL_CRC(md_check_no_bitmap, 0xc463d327, "");
SYMBOL_CRC(md_integrity_register, 0x86c35bfd, "");
SYMBOL_CRC(md_integrity_add_rdev, 0x8baca743, "");
SYMBOL_CRC(md_update_sb, 0xf0ba475f, "");
SYMBOL_CRC(md_rdev_init, 0x7b15cb19, "_gpl");
SYMBOL_CRC(md_idle_sync_thread, 0x850b03f9, "_gpl");
SYMBOL_CRC(md_frozen_sync_thread, 0x05cec7eb, "_gpl");
SYMBOL_CRC(md_unfrozen_sync_thread, 0xa30971b9, "_gpl");
SYMBOL_CRC(mddev_stack_rdev_limits, 0x6111d981, "_gpl");
SYMBOL_CRC(mddev_stack_new_rdev, 0xe69af4cd, "_gpl");
SYMBOL_CRC(mddev_update_io_opt, 0xfd2b87d8, "_gpl");
SYMBOL_CRC(md_run, 0xe328e853, "_gpl");
SYMBOL_CRC(md_start, 0xbca3d16f, "_gpl");
SYMBOL_CRC(md_stop_writes, 0xc599ecf4, "_gpl");
SYMBOL_CRC(md_stop, 0x92a46d40, "_gpl");
SYMBOL_CRC(md_set_array_sectors, 0x25ce3544, "");
SYMBOL_CRC(md_wakeup_thread, 0x6122e4da, "");
SYMBOL_CRC(md_register_thread, 0x25c67f63, "");
SYMBOL_CRC(md_unregister_thread, 0x2ba6d610, "");
SYMBOL_CRC(md_error, 0x16c77973, "");
SYMBOL_CRC(register_md_personality, 0x6275def7, "");
SYMBOL_CRC(unregister_md_personality, 0x8416d0a2, "");
SYMBOL_CRC(register_md_cluster_operations, 0x2232a3fd, "");
SYMBOL_CRC(unregister_md_cluster_operations, 0x15bafe29, "");
SYMBOL_CRC(md_done_sync, 0xe65d36ce, "");
SYMBOL_CRC(md_write_start, 0x4dddd385, "");
SYMBOL_CRC(md_write_inc, 0x5958e146, "");
SYMBOL_CRC(md_write_end, 0xb6d4cffb, "");
SYMBOL_CRC(md_submit_discard_bio, 0x907f8b3a, "_gpl");
SYMBOL_CRC(md_account_bio, 0x429bf417, "_gpl");
SYMBOL_CRC(md_free_cloned_bio, 0x34d9843e, "_gpl");
SYMBOL_CRC(md_allow_write, 0x1a8553a2, "_gpl");
SYMBOL_CRC(md_do_sync, 0x317bc305, "_gpl");
SYMBOL_CRC(md_check_recovery, 0xd4059153, "");
SYMBOL_CRC(md_reap_sync_thread, 0xcbb2c42f, "");
SYMBOL_CRC(md_wait_for_blocked_rdev, 0xee74b8e1, "");
SYMBOL_CRC(md_finish_reshape, 0x4fadd63d, "");
SYMBOL_CRC(rdev_set_badblocks, 0x96c31917, "_gpl");
SYMBOL_CRC(rdev_clear_badblocks, 0x638c10f9, "_gpl");
SYMBOL_CRC(md_reload_sb, 0x79114ff0, "");
SYMBOL_CRC(md_bitmap_update_sb, 0xb1ad92f7, "");
SYMBOL_CRC(md_bitmap_unplug, 0x5ba64f74, "");
SYMBOL_CRC(md_bitmap_unplug_async, 0x4912bbff, "");
SYMBOL_CRC(md_bitmap_startwrite, 0x4cbce400, "");
SYMBOL_CRC(md_bitmap_endwrite, 0x9ff19bd5, "");
SYMBOL_CRC(md_bitmap_start_sync, 0xb19f43de, "");
SYMBOL_CRC(md_bitmap_end_sync, 0x2f756bcd, "");
SYMBOL_CRC(md_bitmap_close_sync, 0x5b644b6b, "");
SYMBOL_CRC(md_bitmap_cond_end_sync, 0x6339caba, "");
SYMBOL_CRC(md_bitmap_sync_with_cluster, 0xa11c30de, "");
SYMBOL_CRC(md_bitmap_free, 0xd0f0c858, "");
SYMBOL_CRC(md_bitmap_load, 0x86746cc1, "_gpl");
SYMBOL_CRC(get_bitmap_from_slot, 0x883f4d95, "");
SYMBOL_CRC(md_bitmap_copy_from_slot, 0xcf699bf5, "_gpl");
SYMBOL_CRC(md_bitmap_resize, 0x977ec3ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd39e0ef7, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcc6b05c6, "bio_init" },
	{ 0x39d9a400, "register_sysctl_sz" },
	{ 0xfb578fc5, "memset" },
	{ 0x3300c13f, "bio_alloc_clone" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0xa7e5ddbc, "invalidate_bdev" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0x589e118c, "sysfs_remove_group" },
	{ 0x26ccd346, "seq_read" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f4b76c7, "kobject_del" },
	{ 0x9d8c1d44, "vfs_fsync" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b2e4f34, "param_ops_bool" },
	{ 0x9dc70fb0, "bioset_init" },
	{ 0x257cd59, "file_path" },
	{ 0x39a9df99, "kernfs_put" },
	{ 0x9b051bf6, "alloc_pages" },
	{ 0x3cbd3c30, "sysfs_break_active_protection" },
	{ 0x480ff060, "__folio_put" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2ff9ab7d, "remove_proc_entry" },
	{ 0x611f2ed7, "disk_check_media_change" },
	{ 0x56470118, "__warn_printk" },
	{ 0x561751cb, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x13d383c8, "kobject_uevent" },
	{ 0xdbfe2030, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x42e9cd36, "bd_link_disk_holder" },
	{ 0xf2cb0575, "queue_limits_commit_update" },
	{ 0xdc923ff7, "proc_dointvec" },
	{ 0x1be8b942, "seq_puts" },
	{ 0xf782fb07, "percpu_ref_switch_to_atomic_sync" },
	{ 0xcc20e5bd, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x9b0dc4d2, "seq_open" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xf4a986a0, "badblocks_clear" },
	{ 0xafe200ed, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1f867495, "badblocks_store" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x10a4b75f, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7410aba2, "strreplace" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1a69b97e, "submit_bio_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x73dd34d3, "__blkdev_issue_discard" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcd99cfb6, "kobject_put" },
	{ 0x6aece828, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x746aeaef, "set_disk_ro" },
	{ 0xcd287266, "__blk_alloc_disk" },
	{ 0x30bbed0c, "blk_integrity_register" },
	{ 0x512a332, "try_module_get" },
	{ 0x51875285, "alloc_page_buffers" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xf19f8fde, "__bio_add_page" },
	{ 0x4f1bddf6, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x98fcdc94, "proc_create" },
	{ 0xb7bad04a, "bio_split_to_limits" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0xb0e602eb, "memmove" },
	{ 0xeec5603f, "seq_release" },
	{ 0x51defaf7, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x23b875b1, "badblocks_set" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2bfe2c9f, "queue_limits_stack_bdev" },
	{ 0x5988f103, "fget" },
	{ 0x7cc15241, "sysfs_unbreak_active_protection" },
	{ 0x8486025f, "invalidate_mapping_pages" },
	{ 0xa6d6daf, "kobject_init" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x8d5303e0, "badblocks_exit" },
	{ 0x278230db, "pcpu_hot" },
	{ 0x1eda8413, "seq_lseek" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xa76db8b9, "blk_queue_write_cache" },
	{ 0xb8ce4142, "__put_devmap_managed_page_refs" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0xd561b48c, "ack_all_badblocks" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xdec42aef, "kernfs_notify" },
	{ 0xb155c16b, "submit_bh" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xd3fa8cd1, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe2c11986, "wake_up_process" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xb3a07d0f, "bio_clone_blkg_association" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x99deb45d, "bioset_integrity_create" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf7dc92ae, "mempool_create" },
	{ 0x7ce1bda7, "put_disk" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x3d0f8e94, "badblocks_init" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd5a0542e, "unregister_sysctl_table" },
	{ 0x39fd8935, "badblocks_show" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7a7d3b92, "sync_blockdev" },
	{ 0x2eef87a0, "free_buffer_head" },
	{ 0xa916b694, "strnlen" },
	{ 0xd0b17ab1, "blk_queue_flag_set" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8b848f3c, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb0498447, "submit_bio" },
	{ 0xc46485d3, "blk_queue_flag_clear" },
	{ 0x4eabd331, "module_put" },
	{ 0x5f512723, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x848b173f, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3535e337, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x8207730f, "flush_signals" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x1494f15c, "bio_put" },
	{ 0xc373bc88, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x83818fef, "__SCK__tp_func_block_bio_remap" },
	{ 0xaf16f480, "fput" },
	{ 0x1b293350, "kobject_add" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8aed2c47, "sysfs_remove_link" },
	{ 0x7283161b, "percpu_ref_switch_to_percpu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa0030e3a, "submit_bio_noacct" },
	{ 0x3af7d2da, "blk_integrity_compare" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb5dbfbf4, "blk_sync_queue" },
	{ 0x87f81493, "seq_file_path" },
	{ 0xa00e00be, "kernfs_find_and_get_ns" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf5365dbf, "bio_chain" },
	{ 0x1af267f8, "int_pow" },
	{ 0x7254f0a2, "__blk_trace_note_message" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x356559fc, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x904b1b26, "sysfs_create_group" },
	{ 0x215fd9a2, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x5fbc6292, "bdev_file_open_by_dev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A842CDE47276CDAFE49B17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
