#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x4e6c8bb3, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x3c251518, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a921311, "strncmp" },
	{ 0xb2ff7e9c, "mddev_unlock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x65a2fe7b, "__tracepoint_block_unplug" },
	{ 0xf5365dbf, "bio_chain" },
	{ 0x7254f0a2, "__blk_trace_note_message" },
	{ 0x4e2d6c95, "blkdev_issue_zeroout" },
	{ 0xb0220f82, "__cpuhp_state_add_instance" },
	{ 0xd6c09c48, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x892bbf3c, "async_raid6_2data_recov" },
	{ 0x5a137def, "bio_add_page" },
	{ 0xcb8b498d, "__SCK__tp_func_block_unplug" },
	{ 0x2f756bcd, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0ba475f, "md_update_sb" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x904b1b26, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x5ff3b94f, "blk_set_stacking_limits" },
	{ 0x336603e2, "_atomic_dec_and_lock_irqsave" },
	{ 0x8583fdf4, "md_flush_request" },
	{ 0xcc6b05c6, "bio_init" },
	{ 0x25c67f63, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0x3300c13f, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x429bf417, "md_account_bio" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5958e146, "md_write_inc" },
	{ 0x354d091b, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8416d0a2, "unregister_md_personality" },
	{ 0x5ba64f74, "md_bitmap_unplug" },
	{ 0x227f61d0, "bio_uninit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9b2e4f34, "param_ops_bool" },
	{ 0x9dc70fb0, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0x7ad01a76, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x9b051bf6, "alloc_pages" },
	{ 0x480ff060, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x561751cb, "seq_printf" },
	{ 0xb6d4cffb, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xd4059153, "md_check_recovery" },
	{ 0x9ff19bd5, "md_bitmap_endwrite" },
	{ 0xdbfe2030, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x3f2f9554, "blkdev_issue_flush" },
	{ 0x36ee1da5, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xac097533, "badblocks_check" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf6c77e3, "queue_limits_set" },
	{ 0x96c31917, "rdev_set_badblocks" },
	{ 0x10a4b75f, "bio_alloc_bioset" },
	{ 0x6a9dbc8b, "async_raid6_datap_recov" },
	{ 0x1a69b97e, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x46d44f87, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0xdf66d270, "kmem_cache_destroy" },
	{ 0x4d022f1a, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7bfbabb0, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x746aeaef, "set_disk_ro" },
	{ 0x6275def7, "register_md_personality" },
	{ 0x2279abc9, "shrinker_alloc" },
	{ 0xf19f8fde, "__bio_add_page" },
	{ 0x4f1bddf6, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x977ec3ed, "md_bitmap_resize" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xbc529bb0, "md_find_rdev_rcu" },
	{ 0x8c563697, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xb19f43de, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x6339caba, "md_bitmap_cond_end_sync" },
	{ 0x2bfe2c9f, "queue_limits_stack_bdev" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x16c77973, "md_error" },
	{ 0xae029b51, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x5b657133, "mempool_init" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x4cbce400, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fadd63d, "md_finish_reshape" },
	{ 0x278230db, "pcpu_hot" },
	{ 0x8695519e, "async_gen_syndrome" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x2ba6d610, "md_unregister_thread" },
	{ 0xb8ce4142, "__put_devmap_managed_page_refs" },
	{ 0xefccfee8, "sync_page_io" },
	{ 0x5b644b6b, "md_bitmap_close_sync" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x34d9843e, "md_free_cloned_bio" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x32de7b4f, "kmem_cache_create" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xdd4390f, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xdec42aef, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe9c44ea3, "shrinker_free" },
	{ 0x6122e4da, "md_wakeup_thread" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x14197815, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x25ce3544, "md_set_array_sectors" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x1a8553a2, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x638c10f9, "rdev_clear_badblocks" },
	{ 0x407384e6, "radix_tree_lookup_slot" },
	{ 0xaf7e487d, "async_tx_quiesce" },
	{ 0x4dddd385, "md_write_start" },
	{ 0xd0b17ab1, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xe35d0fd3, "shrinker_register" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0xb502d786, "radix_tree_replace_slot" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x785539c, "async_xor" },
	{ 0xdec08484, "__free_pages" },
	{ 0x7d25a8e0, "kmem_cache_alloc" },
	{ 0x33e27684, "async_xor_offs" },
	{ 0x8b848f3c, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xb0498447, "submit_bio" },
	{ 0xc46485d3, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x848b173f, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x57312c87, "kthread_unpark" },
	{ 0x3535e337, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe65d36ce, "md_done_sync" },
	{ 0x1494f15c, "bio_put" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0xc373bc88, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xee74b8e1, "md_wait_for_blocked_rdev" },
	{ 0x83818fef, "__SCK__tp_func_block_bio_remap" },
	{ 0x1446a627, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc358cccb, "async_memcpy" },
	{ 0xfd2b87d8, "mddev_update_io_opt" },
	{ 0xa0030e3a, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6111d981, "mddev_stack_rdev_limits" },
	{ 0x503f5c9c, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "md-mod,async_tx,async_raid6_recov,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "080C8D40A69B771710B3C83");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
