#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc18456d4, "mpt_get_msg_frame" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd0b302b1, "mpt_put_msg_frame" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x8d6bb213, "mpt_HardResetHandler" },
	{ 0xa5034916, "mpt_free_msg_frame" },
	{ 0x1fd1ef20, "scsi_is_host_device" },
	{ 0xbe567f56, "dma_alloc_attrs" },
	{ 0x8c25d451, "mpt_config" },
	{ 0x574963de, "dma_free_attrs" },
	{ 0x725b1f6a, "scsi_device_lookup_by_target" },
	{ 0x78772782, "sdev_prefix_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd63be3d4, "_dev_printk" },
	{ 0xfbcafab, "mptscsih_slave_destroy" },
	{ 0xe3a5895f, "mptscsih_event_process" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d9a7e03, "mptscsih_resume" },
	{ 0xb649a80e, "mptscsih_ioc_reset" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe9b7dfe5, "spi_dv_device" },
	{ 0x1930e218, "spi_display_xfer_agreement" },
	{ 0x6c0f817, "__scsi_iterate_devices" },
	{ 0x3910c0af, "mptscsih_slave_configure" },
	{ 0x401f779c, "mpt_findImVolumes" },
	{ 0xd83e0c4d, "scsi_scan_target" },
	{ 0xe95dc949, "mptscsih_raid_id_to_num" },
	{ 0x4f267a46, "mptscsih_suspend" },
	{ 0x39542aab, "mptscsih_shutdown" },
	{ 0xda6dd91a, "mptscsih_info" },
	{ 0x91aa3bec, "mptscsih_abort" },
	{ 0x6829f9a1, "mptscsih_dev_reset" },
	{ 0x783f3e01, "mptscsih_bus_reset" },
	{ 0xe5a92421, "mptscsih_host_reset" },
	{ 0xe7a0d7f9, "mptscsih_change_queue_depth" },
	{ 0xe2f7d11a, "mptscsih_bios_param" },
	{ 0x24f8c5e, "mptscsih_show_info" },
	{ 0x25fc4d11, "mptscsih_host_attr_groups" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0xd1efbc14, "spi_attach_transport" },
	{ 0x113746ad, "mptscsih_io_done" },
	{ 0x8975742b, "mpt_register" },
	{ 0xa0bd3b16, "mptscsih_taskmgmt_complete" },
	{ 0x71600633, "mptscsih_scandv_complete" },
	{ 0xfe66b071, "mpt_event_register" },
	{ 0xa6443f4e, "mpt_reset_register" },
	{ 0xaa7851bb, "__pci_register_driver" },
	{ 0x908eb1d9, "spi_release_transport" },
	{ 0x37a0cba, "kfree" },
	{ 0x30a8b61c, "scsi_remove_host" },
	{ 0xf6a5e1b3, "mptscsih_remove" },
	{ 0x3509890a, "mptscsih_qcmd" },
	{ 0xac80d05f, "mptscsih_is_phys_disk" },
	{ 0xeaf47743, "scsi_done" },
	{ 0xc31be401, "pci_unregister_driver" },
	{ 0x610b257e, "mpt_reset_deregister" },
	{ 0xe6c1e126, "mpt_event_deregister" },
	{ 0x981efe92, "mpt_deregister" },
	{ 0x4fb8a0c3, "mpt_attach" },
	{ 0x769d1a94, "scsi_host_alloc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9e41cdc0, "scsi_add_host_with_dma" },
	{ 0x1335f3ac, "scsi_scan_host" },
	{ 0x1e29ddc2, "mptscsih_IssueTaskMgmt" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mptbase,scsi_mod,mptscsih,scsi_transport_spi");

MODULE_ALIAS("pci:v00001000d00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000117Cd00000030sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001000d00000040sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E361F7B0A597D69C2904EB7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
