#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0xf108fc0b, "mmc_alloc_host" },
	{ 0x33aeccc7, "mmc_of_parse" },
	{ 0x426074c8, "devm_platform_ioremap_resource" },
	{ 0xe9737b56, "platform_get_resource" },
	{ 0x29cdbbb0, "devm_ioremap_resource" },
	{ 0xc481e076, "mmc_regulator_get_supply" },
	{ 0x5e9979dc, "devm_clk_get" },
	{ 0x26b1d156, "devm_clk_get_optional" },
	{ 0x9915e861, "devm_clk_get_optional_enabled" },
	{ 0xbb726088, "devm_clk_bulk_get_optional" },
	{ 0x17572f24, "__devm_reset_control_get" },
	{ 0x146b6629, "platform_get_irq" },
	{ 0xa916c915, "devm_pinctrl_get" },
	{ 0x227ebbf8, "pinctrl_lookup_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xbe567f56, "dma_alloc_attrs" },
	{ 0xfb578fc5, "memset" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x8af83895, "cqhci_init" },
	{ 0xba606a65, "devm_request_threaded_irq" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0x7dc60306, "mmc_add_host" },
	{ 0x63150e06, "clk_get_parent" },
	{ 0xde6e7f6e, "platform_get_irq_byname_optional" },
	{ 0x72b35c6d, "device_set_wakeup_capable" },
	{ 0xd672b26a, "device_wakeup_enable" },
	{ 0xce7224cf, "mmc_can_gpio_cd" },
	{ 0x9f50a9ab, "pm_runtime_force_resume" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6032069c, "sdio_signal_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a3e7fd8, "mmc_request_done" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x453908cb, "mmc_detect_change" },
	{ 0x3e4d7dc7, "cqhci_irq" },
	{ 0xcbd53a80, "dev_pm_set_dedicated_wake_irq_reverse" },
	{ 0x78e1b7aa, "dev_pm_clear_wake_irq" },
	{ 0x8a2ab63, "mmc_send_tuning" },
	{ 0x7c747773, "mmc_gpio_get_ro" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7da62b4, "__platform_driver_register" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd95aba2a, "pm_runtime_force_suspend" },
	{ 0x6cc213bc, "cqhci_deactivate" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x334fddc1, "mmc_get_ext_csd" },
	{ 0x37a0cba, "kfree" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x28d6294a, "mmc_regulator_set_vqmmc" },
	{ 0x33347d09, "pinctrl_select_state" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0xa492d5fd, "platform_driver_unregister" },
	{ 0xaed1d12f, "mmc_gpio_get_cd" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe0b53cdd, "dma_unmap_sg_attrs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9840787, "dma_map_sg_attrs" },
	{ 0x7bee5859, "mmc_regulator_set_ocr" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x92a4900c, "regulator_enable" },
	{ 0x5893f34b, "regulator_disable" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0xcdea71c3, "mmc_remove_host" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0x574963de, "dma_free_attrs" },
	{ 0xfe612fc4, "mmc_free_host" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mmc_core,cqhci");

MODULE_ALIAS("of:N*T*Cmediatek,mt2701-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt2701-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt2712-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt2712-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt6779-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt6779-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt6795-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt6795-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7620-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt7620-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7622-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt7622-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7986-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt7986-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt8135-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt8135-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt8173-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt8173-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt8183-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt8183-mmcC*");
MODULE_ALIAS("of:N*T*Cmediatek,mt8516-mmc");
MODULE_ALIAS("of:N*T*Cmediatek,mt8516-mmcC*");

MODULE_INFO(srcversion, "B1838155E035F960224C0BB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
