#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0xdf6b0712, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xb587530d, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0x31c96da9, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x92a1f93f, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x7fdbad7e, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x5b8dc53c, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x06dbdb31, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x9b475138, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0x928a086e, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x84a45d10, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x3aa07f6b, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0xc721a1dc, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xa641df36, "_gpl");
SYMBOL_CRC(put_mtd_device, 0xfd3cb463, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0xb1e3dadb, "_gpl");
SYMBOL_CRC(mtd_erase, 0xb48e6736, "_gpl");
SYMBOL_CRC(mtd_point, 0x39d24142, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x12960526, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0xd068126b, "_gpl");
SYMBOL_CRC(mtd_read, 0x26525bda, "_gpl");
SYMBOL_CRC(mtd_write, 0xe06a6dd3, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xd781394e, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x79e3c041, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x987a5017, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xd1a5892b, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0x8a4ea6d9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0xf009bb7c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xf42febe3, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x068ba714, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x36308658, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x33822a2d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xaa9ad7d0, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x17659724, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x3fe0da20, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x0040ffb0, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xac4d6ac3, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xa40f813d, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x7d62d366, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x6708b711, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0x1150975d, "_gpl");
SYMBOL_CRC(mtd_lock, 0xa699161f, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xce815c7c, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xbbd039c5, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x013aa5db, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xb6b7ab79, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x676d3769, "_gpl");
SYMBOL_CRC(mtd_writev, 0x9d0a9a36, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x2ba92382, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0x9faf7002, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x30401724, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x6dcb3b94, "");
SYMBOL_CRC(mtd_concat_destroy, 0x0ff8fc98, "");
SYMBOL_CRC(mtd_add_partition, 0xfcb2844b, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x37f06abe, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x060b269a, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x961af2b2, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x917d2987, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xeaf71596, "device_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x68b286a9, "debugfs_remove" },
	{ 0x46bf8e67, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb8bee3bd, "class_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb7351165, "bdi_alloc" },
	{ 0xb8d51133, "device_register" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x45ef289a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xeaf0c0c7, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2ff9ab7d, "remove_proc_entry" },
	{ 0x884594bc, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x561751cb, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xe3f07600, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x1be8b942, "seq_puts" },
	{ 0x51229513, "dev_err_probe" },
	{ 0x1ec5bb5c, "proc_create_single_data" },
	{ 0x53b765b7, "nvmem_register" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x2154e269, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99aca8d9, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe4738418, "generic_shutdown_super" },
	{ 0x512a332, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x18925aa3, "sget_dev" },
	{ 0x744cacd7, "bdi_unregister" },
	{ 0x1fa8ca0f, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb71a388f, "bdi_register" },
	{ 0x81549c72, "device_unregister" },
	{ 0xdb1b4463, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xa575f31, "logfc" },
	{ 0xc049715d, "sysfs_remove_files" },
	{ 0x8669801e, "__module_get" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x92997ed8, "_printk" },
	{ 0xfc30ae0d, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x148cba09, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x4eabd331, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x92f9ed40, "debugfs_create_bool" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "6FF0C90955838FD6A1952EB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
