#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ks8851_suspend, "_gpl", "");
KSYMTAB_FUNC(ks8851_resume, "_gpl", "");
KSYMTAB_FUNC(ks8851_probe_common, "_gpl", "");
KSYMTAB_FUNC(ks8851_remove_common, "_gpl", "");

SYMBOL_CRC(ks8851_suspend, 0xe7b0d832, "_gpl");
SYMBOL_CRC(ks8851_resume, 0xd6b4936e, "_gpl");
SYMBOL_CRC(ks8851_probe_common, 0x8e5869eb, "_gpl");
SYMBOL_CRC(ks8851_remove_common, 0x043399a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x61a9972c, "gpiod_set_value_cansleep" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0x66817902, "mdiobus_alloc_size" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf025810e, "__mdiobus_register" },
	{ 0x1d7fe60e, "netif_carrier_off" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7dda383, "register_netdev" },
	{ 0xfc003ca0, "mdiobus_free" },
	{ 0x5893f34b, "regulator_disable" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x9709edfd, "netdev_err" },
	{ 0x6d8eff3a, "netdev_info" },
	{ 0x3f3a7f0b, "mdiobus_unregister" },
	{ 0x5a43b83e, "netdev_warn" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4db525d8, "skb_dequeue" },
	{ 0x58716875, "consume_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc4697bfd, "netif_device_detach" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf573eb53, "netif_rx" },
	{ 0xf72693ef, "mii_check_link" },
	{ 0x7cb8812a, "__netdev_alloc_skb" },
	{ 0x44d9bdff, "skb_put" },
	{ 0x48e49e40, "eth_type_trans" },
	{ 0x3042effc, "netif_tx_wake_queue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x312b037, "unregister_netdev" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x3b09abc2, "netif_device_attach" },
	{ 0x34447a95, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x618b5229, "__dynamic_netdev_dbg" },
	{ 0x349433b2, "generic_mii_ioctl" },
	{ 0xdeb908fc, "dev_addr_mod" },
	{ 0xb528f54a, "mii_ethtool_set_link_ksettings" },
	{ 0x882a681c, "mii_ethtool_get_link_ksettings" },
	{ 0x63d2ff63, "eeprom_93cx6_wren" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x870b53e9, "eeprom_93cx6_write" },
	{ 0x17c7447c, "mii_link_ok" },
	{ 0xe561d133, "mii_nway_restart" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa83d481c, "devm_gpiod_get_optional" },
	{ 0xdec1a6ab, "gpiod_set_consumer_name" },
	{ 0x2660ee71, "devm_regulator_get" },
	{ 0x92a4900c, "regulator_enable" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "libphy,mii,eeprom_93cx6");


MODULE_INFO(srcversion, "7801BAE731E0660E42210DA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
