#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0x1b35052f, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x1120207f, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0xddd79d71, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0xc1bc1a2d, "_gpl");
SYMBOL_CRC(lbs_suspend, 0xd747c548, "_gpl");
SYMBOL_CRC(lbs_resume, 0x07122517, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x38f02b49, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xd9a5b684, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xc03355ad, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x88b2484c, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0x56dbf67d, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0x877e7893, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0x1e5083a7, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x4e9eb22e, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x58af3b75, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0x11990701, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x936966, "cfg80211_ibss_joined" },
	{ 0x577ee88b, "request_firmware_nowait" },
	{ 0x8fe456be, "simple_open" },
	{ 0xa925e119, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf951a7d, "cfg80211_michael_mic_failure" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46cd9330, "skb_push" },
	{ 0x68b286a9, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x7dda383, "register_netdev" },
	{ 0xb91c6c24, "wiphy_unregister" },
	{ 0x3a05de58, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x215fd9a2, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3042effc, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xf573eb53, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x49cc9a2a, "netdev_alert" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0xf310191e, "debugfs_create_file" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1d7fe60e, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9e2e29c2, "netif_carrier_on" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xfd3b5973, "cfg80211_inform_bss_data" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0x2f2478ef, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x2154e269, "debugfs_create_dir" },
	{ 0x16d7d2d8, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x79dd999e, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x7fb4ea4e, "__cfg80211_get_bss" },
	{ 0x61cfb8b4, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0x5937d1a4, "ieee80211_get_num_supported_channels" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x6d8eff3a, "netdev_info" },
	{ 0x43ab94bd, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5cd40611, "cfg80211_scan_done" },
	{ 0x58716875, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x312b037, "unregister_netdev" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x73716044, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xc895f9e2, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0x34447a95, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x19486aaa, "dev_kfree_skb_irq_reason" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x65dc8a26, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x58cc8311, "ether_setup" },
	{ 0x9709edfd, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x76b2da19, "pskb_expand_head" },
	{ 0xe2c11986, "wake_up_process" },
	{ 0xdeb908fc, "dev_addr_mod" },
	{ 0x48e49e40, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6e5bd76f, "alloc_netdev_mqs" },
	{ 0x3ef4ef92, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x20c33c93, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e547de5, "cfg80211_put_bss" },
	{ 0xc4697bfd, "netif_device_detach" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0x3b09abc2, "netif_device_attach" },
	{ 0x21362c7a, "ieee80211_get_channel_khz" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xc4622a4, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
