#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6544e27, "wlcore_free_hw" },
	{ 0xa85580de, "wlcore_event_soft_gemini_sense" },
	{ 0xe8ad84d0, "wlcore_scan_sched_scan_results" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x39f632b4, "wlcore_event_max_tx_failure" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xc3a33ea0, "wlcore_remove" },
	{ 0xfbd23e0d, "wlcore_disable_interrupts" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1e7cbf58, "wlcore_event_channel_switch" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xecc57991, "ieee80211_queue_delayed_work" },
	{ 0x8fe456be, "simple_open" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8ea457b1, "wl1271_cmd_test" },
	{ 0xc53c191c, "wlcore_enable_interrupts" },
	{ 0x1e17bce, "wlcore_set_partition" },
	{ 0xd6dda669, "wl1271_acx_sleep_auth" },
	{ 0x399463c6, "wlcore_boot_upload_firmware" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x6f7a6749, "wlcore_event_sched_scan_completed" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x45a42e46, "wl12xx_acx_mem_cfg" },
	{ 0xe958eafd, "wl1271_cmd_data_path" },
	{ 0xfde3be17, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2903202c, "wl1271_cmd_configure" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7da62b4, "__platform_driver_register" },
	{ 0xca7fd8fe, "wl1271_acx_set_ht_capabilities" },
	{ 0xf310191e, "debugfs_create_file" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xcdc9a261, "wlcore_alloc_hw" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x91f16d4b, "wlcore_probe" },
	{ 0x34fd9cca, "wlcore_cmd_wait_for_event_or_timeout" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x58b08bdf, "wlcore_event_rssi_trigger" },
	{ 0xe346297d, "wlcore_calc_packet_alignment" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14497770, "wl1271_acx_pm_config" },
	{ 0x4622ef02, "wlcore_event_ba_rx_constraint" },
	{ 0xd96220f7, "wlcore_event_inactive_sta" },
	{ 0xb555893d, "wlcore_event_dummy_packet" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x7d1691a4, "wlcore_event_beacon_loss" },
	{ 0x2154e269, "debugfs_create_dir" },
	{ 0x16d7d2d8, "generic_file_llseek" },
	{ 0xf0f53508, "wl1271_acx_init_mem_config" },
	{ 0x299b4109, "wlcore_set_key" },
	{ 0x6d3b27e, "wl12xx_debug_level" },
	{ 0x1dec9466, "wlcore_boot_upload_nvs" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x2be7fa6, "wl12xx_cmd_build_probe_req" },
	{ 0x978cbda2, "wl1271_tx_min_rate_get" },
	{ 0x160a75d1, "wl1271_cmd_send" },
	{ 0xa492d5fd, "platform_driver_unregister" },
	{ 0x59e83280, "wlcore_event_roc_complete" },
	{ 0x12afb7cc, "wlcore_scan_sched_scan_ssid_list" },
	{ 0x2db8d390, "wlcore_translate_addr" },
	{ 0xc3cf2dbb, "wlcore_boot_run_firmware" },
	{ 0x179a47ac, "wlcore_set_scan_chan_params" },
	{ 0xf64ae49, "wl1271_debugfs_update_stats" },
	{ 0x69acdf38, "memcpy" },
	{ 0x85498cd1, "wl1271_format_buffer" },
	{ 0xc8e73471, "wlcore_tx_complete" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "wlcore,mac80211");

MODULE_ALIAS("platform:wl12xx");

MODULE_INFO(srcversion, "364EB5A6328106185E686BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
