#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x94efb9c6, "cros_ec_check_features" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe54179fd, "typec_partner_register_altmode" },
	{ 0x72f48779, "typec_partner_set_num_altmodes" },
	{ 0xf838699f, "typec_unregister_partner" },
	{ 0x5c2f63a4, "typec_set_pwr_opmode" },
	{ 0xd2fa1286, "typec_switch_set" },
	{ 0x7c2a5b87, "fwnode_property_read_u32_array" },
	{ 0xe51d2a91, "typec_set_orientation" },
	{ 0x122da5b, "typec_unregister_cable" },
	{ 0xa6538819, "devm_kfree" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x822e76c8, "typec_set_vconn_role" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x17d6f00b, "usb_power_delivery_register_capabilities" },
	{ 0x1cd52b7c, "typec_register_plug" },
	{ 0xe661cc3d, "usb_power_delivery_unregister" },
	{ 0xca6ecb2f, "typec_altmode_attention" },
	{ 0x561760b3, "typec_set_data_role" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x9049491e, "typec_find_port_data_role" },
	{ 0x35c9fe29, "typec_altmode_vdm" },
	{ 0x4de100f1, "typec_unregister_port" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe66dd3d7, "device_get_child_node_count" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0x2d1e301d, "typec_find_power_role" },
	{ 0xd7c16ebe, "typec_register_port" },
	{ 0xf2491df6, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6a153a7, "typec_retimer_put" },
	{ 0x8f9f2c8, "typec_partner_set_usb_power_delivery" },
	{ 0x7a9fc0de, "typec_unregister_plug" },
	{ 0x7da62b4, "__platform_driver_register" },
	{ 0xb853bad5, "typec_plug_register_altmode" },
	{ 0x920bf97a, "fwnode_find_reference" },
	{ 0x85e12f3a, "fwnode_property_read_string" },
	{ 0x7e954fd6, "typec_unregister_altmode" },
	{ 0xd7f25ab8, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc9b4ba34, "typec_retimer_set" },
	{ 0x2e1d5f95, "usb_power_delivery_unregister_capabilities" },
	{ 0x4142c048, "typec_partner_set_identity" },
	{ 0x6b3d9465, "typec_mux_set" },
	{ 0x218475af, "fwnode_typec_retimer_get" },
	{ 0xc6ffd54f, "typec_set_pwr_role" },
	{ 0xda0abe34, "typec_match_altmode" },
	{ 0xff0793a7, "typec_partner_usb_power_delivery_register" },
	{ 0x51229513, "dev_err_probe" },
	{ 0x44447c61, "fwnode_handle_put" },
	{ 0x96db75d8, "device_get_next_child_node" },
	{ 0x22539443, "cros_ec_cmd" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0x4fa3f12e, "fwnode_typec_switch_get" },
	{ 0xcc6a0fcf, "typec_partner_set_pd_revision" },
	{ 0x6d61f155, "typec_register_partner" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0xe3fb5614, "typec_port_register_altmode" },
	{ 0xa492d5fd, "platform_driver_unregister" },
	{ 0x86521d45, "typec_switch_put" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xeafc1eb8, "typec_find_port_power_role" },
	{ 0xfc8df340, "typec_mux_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdec7d4c8, "fwnode_usb_role_switch_get" },
	{ 0x8bda2df3, "cros_usbpd_register_notify" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50d48095, "fwnode_typec_mux_get" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "typec,roles,cros_usbpd_notify");

MODULE_ALIAS("acpi*:GOOG0014:*");

MODULE_INFO(srcversion, "A5DABE250B07CAEC1903256");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
