#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb4003430, "skb_dump" },
	{ 0x8b636b3c, "cxgb3_queue_tid_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xae938f25, "cxgbi_sock_fail_act_open" },
	{ 0x37a0cba, "kfree" },
	{ 0xcb62c90e, "cxgbi_sock_skb_entail" },
	{ 0x8319f739, "cxgbi_ddp_set_one_ppod" },
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0x13c8e036, "cxgbi_sock_closed" },
	{ 0x738928d, "cxgb3_insert_tid" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf9b26a9d, "cxgbi_sock_established" },
	{ 0x8e21300b, "cxgbi_conn_tx_open" },
	{ 0xa244e1ed, "cxgb3_free_atid" },
	{ 0x1e3c88ca, "cxgbi_sock_free_cpl_skbs" },
	{ 0x4f70028, "cxgbi_sock_purge_wr_queue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6470bacc, "cxgb3_remove_tid" },
	{ 0x2fb84a57, "t3_l2e_free" },
	{ 0xeea2c8b3, "t3_l2t_get" },
	{ 0xbb5c783d, "cxgb3_alloc_atid" },
	{ 0x30f8ab63, "ip6_mtu" },
	{ 0x4103eade, "cxgbi_sock_select_mss" },
	{ 0xc988c5c8, "ipv4_mtu" },
	{ 0x5b5f7e83, "cxgbi_create_session" },
	{ 0x56ae6b54, "cxgbi_destroy_session" },
	{ 0x1640653b, "cxgbi_create_conn" },
	{ 0x886a1ef5, "iscsi_conn_unbind" },
	{ 0x8941cd42, "cxgbi_bind_conn" },
	{ 0xd5cf0b05, "iscsi_conn_start" },
	{ 0xead82b49, "iscsi_conn_stop" },
	{ 0x29879f27, "iscsi_tcp_conn_teardown" },
	{ 0x254caaba, "cxgbi_set_conn_param" },
	{ 0xb61ab922, "cxgbi_get_ep_param" },
	{ 0x4a3e1e7d, "iscsi_conn_get_param" },
	{ 0x36033bfa, "iscsi_session_get_param" },
	{ 0x8ae334a9, "cxgbi_get_host_param" },
	{ 0xfb0da11f, "cxgbi_set_host_param" },
	{ 0xb9b88272, "iscsi_conn_send_pdu" },
	{ 0x9aa39c18, "cxgbi_get_conn_stats" },
	{ 0x6d2b97e1, "iscsi_tcp_task_init" },
	{ 0xd48fe40b, "iscsi_tcp_task_xmit" },
	{ 0xbe7f596, "cxgbi_cleanup_task" },
	{ 0xa47d2093, "cxgbi_conn_alloc_pdu" },
	{ 0x921a6726, "cxgbi_conn_xmit_pdu" },
	{ 0x116ae0f1, "cxgbi_conn_init_pdu" },
	{ 0xe8a0ffb1, "cxgbi_parse_pdu_itt" },
	{ 0xb9edc933, "iscsi_session_recovery_timedout" },
	{ 0xf76e9964, "cxgbi_ep_connect" },
	{ 0x41f4afe7, "cxgbi_ep_poll" },
	{ 0x90f7cb8, "cxgbi_ep_disconnect" },
	{ 0xef346615, "cxgbi_attr_is_visible" },
	{ 0xe17bb230, "iscsi_queuecommand" },
	{ 0x69aded9f, "iscsi_eh_abort" },
	{ 0xc129eea1, "iscsi_eh_device_reset" },
	{ 0x37712b99, "iscsi_eh_recover_target" },
	{ 0x5385e170, "iscsi_target_alloc" },
	{ 0xd7c8545a, "scsi_change_queue_depth" },
	{ 0x3638be48, "iscsi_eh_cmd_timed_out" },
	{ 0xef5ca914, "param_ops_uint" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd7eea6fb, "cxgbi_sock_rcv_wr_ack" },
	{ 0x18805bdc, "__kfree_skb" },
	{ 0x92997ed8, "_printk" },
	{ 0x33673e30, "cxgbi_device_find_by_lldev" },
	{ 0xb763a374, "cxgbi_device_unregister" },
	{ 0x21d7f250, "cxgb3_ofld_send" },
	{ 0xcdec0fc8, "cxgbi_sock_act_open_req_arp_failure" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0xcba63310, "cxgbi_sock_rcv_close_conn_rpl" },
	{ 0x65073732, "cxgbi_sock_rcv_abort_rpl" },
	{ 0xe150eb69, "cxgbi_sock_rcv_peer_close" },
	{ 0x57c0aa16, "cxgbi_iscsi_init" },
	{ 0xd38859fb, "cxgb3_register_client" },
	{ 0xb883ec88, "cxgb3_unregister_client" },
	{ 0x7fdb6004, "cxgbi_device_unregister_all" },
	{ 0xabbb219d, "cxgbi_iscsi_cleanup" },
	{ 0x9f4d9ebf, "cxgbi_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1bdaafe1, "cxgbi_tagmask_set" },
	{ 0xe5270d24, "cxgbi_ddp_ppm_setup" },
	{ 0xf2f9d71e, "cxgbi_device_portmap_create" },
	{ 0xe4854e6c, "cxgbi_hbas_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7e8e960c, "t3_l2t_send_slow" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x6327243, "skb_copy_bits" },
	{ 0xf59e5b17, "cxgbi_conn_pdu_ready" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3b1af6b4, "___pskb_trim" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "cxgb3,libcxgbi,libiscsi,libiscsi_tcp,scsi_mod,libcxgb");


MODULE_INFO(srcversion, "7D71BC3F2E1D505069033E1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
