#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(esp_output_head, "_gpl", "");
KSYMTAB_FUNC(esp_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp_input_done2, "_gpl", "");

SYMBOL_CRC(esp_output_head, 0xa51e3b92, "_gpl");
SYMBOL_CRC(esp_output_tail, 0x5e062827, "_gpl");
SYMBOL_CRC(esp_input_done2, 0x0b8acaec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd3233afe, "xfrm_state_lookup" },
	{ 0xc96eb853, "ipv4_redirect" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2870337, "ipv4_update_pmtu" },
	{ 0x17a2a566, "__xfrm_state_destroy" },
	{ 0xb4003430, "skb_dump" },
	{ 0x37a0cba, "kfree" },
	{ 0xc8b00ede, "sk_free" },
	{ 0x6327243, "skb_copy_bits" },
	{ 0x4fc7d9e8, "km_new_mapping" },
	{ 0xf79b551e, "skb_pull_rcsum" },
	{ 0x8b4ea556, "skb_checksum" },
	{ 0x3b1af6b4, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf870f766, "xfrm_input_resume" },
	{ 0xbd0fcf7d, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x8669606b, "skb_to_sgvec" },
	{ 0xb8b3e9f5, "crypto_aead_decrypt" },
	{ 0x46cd9330, "skb_push" },
	{ 0xc873347a, "__pskb_pull_tail" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x6b7afd9b, "napi_pp_put_page" },
	{ 0xb8ce4142, "__put_devmap_managed_page_refs" },
	{ 0x480ff060, "__folio_put" },
	{ 0x2e5ee815, "xfrm_dev_resume" },
	{ 0x68291036, "xfrm_output_resume" },
	{ 0x6bbb8a4d, "__skb_ext_del" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x278230db, "pcpu_hot" },
	{ 0x778dbec0, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xeb5986f0, "__inet_lookup_established" },
	{ 0x11878d59, "tcp_is_ulp_esp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x4bf19a4a, "espintcp_push_skb" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x70103305, "espintcp_queue_out" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb9f114f, "crypto_aead_encrypt" },
	{ 0x805bf91c, "skb_page_frag_refill" },
	{ 0x3ebf5965, "pskb_put" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf9f4ab9, "xfrm_state_mtu" },
	{ 0x8e94c974, "xfrm4_rcv" },
	{ 0x3776429b, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7472bf91, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd7e43d6, "xfrm4_protocol_register" },
	{ 0xfc1f20a0, "xfrm_unregister_type" },
	{ 0x19a630bc, "crypto_destroy_tfm" },
	{ 0xf6d371c3, "xfrm4_protocol_deregister" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xade757ed, "crypto_alloc_aead" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xbac6454c, "crypto_aead_setauthsize" },
	{ 0xea80f56e, "crypto_aead_setkey" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "4C9E80ED7F4A5EFC06F5EDE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
