#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee802154_alloc_hw, "", "");
KSYMTAB_FUNC(ieee802154_configure_durations, "", "");
KSYMTAB_FUNC(ieee802154_free_hw, "", "");
KSYMTAB_FUNC(ieee802154_register_hw, "", "");
KSYMTAB_FUNC(ieee802154_unregister_hw, "", "");
KSYMTAB_FUNC(ieee802154_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee802154_xmit_complete, "", "");
KSYMTAB_FUNC(ieee802154_xmit_error, "", "");
KSYMTAB_FUNC(ieee802154_xmit_hw_error, "", "");

SYMBOL_CRC(ieee802154_alloc_hw, 0x64a52733, "");
SYMBOL_CRC(ieee802154_configure_durations, 0x8966d1a7, "");
SYMBOL_CRC(ieee802154_free_hw, 0x94d84739, "");
SYMBOL_CRC(ieee802154_register_hw, 0x3e4cb022, "");
SYMBOL_CRC(ieee802154_unregister_hw, 0x4cba3ee0, "");
SYMBOL_CRC(ieee802154_rx_irqsafe, 0xfae12dca, "");
SYMBOL_CRC(ieee802154_xmit_complete, 0xdb3423b0, "");
SYMBOL_CRC(ieee802154_xmit_error, 0x84b4b55b, "");
SYMBOL_CRC(ieee802154_xmit_hw_error, 0xafb6311a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x23628c90, "nl802154_scan_started" },
	{ 0xcfae846b, "crypto_skcipher_decrypt" },
	{ 0xa916b694, "strnlen" },
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0x89a527e3, "skb_copy_expand" },
	{ 0xf80573da, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xea80f56e, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2ef7b073, "perf_trace_run_bpf_submit" },
	{ 0x22f4e310, "cfg802154_get_free_short_addr" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x76ade9e1, "wpan_phy_register" },
	{ 0x80ab8e23, "cfg802154_set_max_associations" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xeb9f114f, "crypto_aead_encrypt" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46cd9330, "skb_push" },
	{ 0x73998ff1, "ieee802154_hdr_peek" },
	{ 0xd74eab7, "wpan_phy_free" },
	{ 0xb80358a0, "netif_receive_skb" },
	{ 0x8240df21, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3a05de58, "free_netdev" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb526332d, "bpf_trace_run1" },
	{ 0x3042effc, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0xe78c5b0c, "hrtimer_start_range_ns" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x46ebd0c9, "ieee802154_hdr_pull" },
	{ 0xe6f8bd57, "nl802154_scan_event" },
	{ 0xbd3028d9, "crypto_alloc_sync_skcipher" },
	{ 0xcac7a22f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x618b5229, "__dynamic_netdev_dbg" },
	{ 0xff66fe9d, "bpf_trace_run3" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6e538fb3, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe875e218, "__rwlock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc37f0b32, "wait_for_completion_killable_timeout" },
	{ 0x1c8a5796, "ieee802154_beacon_push" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x13fef410, "ieee802154_mac_cmd_pl_pull" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5923c133, "wpan_phy_new" },
	{ 0xce931a35, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6ea6c1ed, "hrtimer_cancel" },
	{ 0x924b13ac, "ieee802154_hdr_push" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x2f2478ef, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x566b78e5, "cfg802154_device_is_parent" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x851afb07, "cfg802154_device_is_child" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x821bc717, "register_netdevice" },
	{ 0x99f83c31, "crypto_skcipher_encrypt" },
	{ 0x87e2553b, "ieee802154_max_payload" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5c13dfe0, "bpf_trace_run4" },
	{ 0xc23d273a, "nl802154_beaconing_done" },
	{ 0x44d9bdff, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x58716875, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x45fe1b0a, "trace_raw_output_prep" },
	{ 0x4db525d8, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x19133baf, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xc82fbfa6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe8ec57f3, "hrtimer_init" },
	{ 0xfda85a10, "dev_alloc_name" },
	{ 0x18312391, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x72db53bf, "ieee802154_mac_cmd_push" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xade757ed, "crypto_alloc_aead" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x213233c5, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5a43b83e, "netdev_warn" },
	{ 0xbac6454c, "crypto_aead_setauthsize" },
	{ 0xb8b3e9f5, "crypto_aead_decrypt" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0xb2d74c01, "crypto_skcipher_setkey" },
	{ 0x6abe9778, "unregister_netdevice_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6409124b, "ieee802154_hdr_peek_addrs" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16acd0eb, "wpan_phy_unregister" },
	{ 0x49864559, "trace_event_buffer_commit" },
	{ 0xdeb908fc, "dev_addr_mod" },
	{ 0x19a630bc, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6e5bd76f, "alloc_netdev_mqs" },
	{ 0x7055d78e, "nl802154_scan_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "ieee802154");


MODULE_INFO(srcversion, "EEB1BA0353D8DD4ACCDD8CC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
