#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0x1b02e5ae, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xfbe18bd6, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x3a29cfe2, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xf6f3cf7a, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x69976ba6, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x24e85642, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0xb8500420, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x35ae8668, "");
SYMBOL_CRC(ip_vs_conn_put, 0xec42066f, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x67436f5c, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x90ef708f, "");
SYMBOL_CRC(register_ip_vs_app, 0x682a7ea5, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x66437b7d, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x98541ff9, "");
SYMBOL_CRC(ip_vs_proto_get, 0x207f129e, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x96366ad0, "");
SYMBOL_CRC(register_ip_vs_pe, 0x63b7c1a6, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xb978e0f7, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x029b6ad0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb944a0cf, "ip_route_me_harder" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46cd9330, "skb_push" },
	{ 0x503f5c9c, "kmem_cache_free" },
	{ 0xb8e55986, "set_cpus_allowed_ptr" },
	{ 0xdf12c9b5, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x62723d4f, "proc_doulongvec_minmax" },
	{ 0x2da5dc16, "nf_ct_expect_alloc" },
	{ 0xab9566cd, "skb_ensure_writable" },
	{ 0x19044b30, "iov_iter_kvec" },
	{ 0x711ec637, "ip_mc_join_group" },
	{ 0xb7bf1af, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x6a2b2d08, "ns_capable" },
	{ 0x9e3d0237, "nf_unregister_net_hooks" },
	{ 0x119b815e, "inet_select_addr" },
	{ 0x373dba5f, "unregister_pernet_device" },
	{ 0xffcaede7, "lock_sock_nested" },
	{ 0xc2f20601, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x215fd9a2, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x95a12568, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x77f06ce, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x843e4c4b, "kernel_connect" },
	{ 0x8b4ea556, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xd54c918b, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc873347a, "__pskb_pull_tail" },
	{ 0x447f3147, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcac7a22f, "skb_trim" },
	{ 0x1e23fa21, "nf_hook_slow" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x4ef87ea2, "nf_ct_deliver_cached_events" },
	{ 0x766b7d42, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x79950b22, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfe88df86, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc988c5c8, "ipv4_mtu" },
	{ 0xef39c985, "skb_set_owner_w" },
	{ 0x228597ee, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd4f6ccd1, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf67c81b7, "init_user_ns" },
	{ 0x388d2fda, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2ff9ab7d, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x561751cb, "seq_printf" },
	{ 0x822bf374, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xcc66e84b, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2870337, "ipv4_update_pmtu" },
	{ 0x7c979b4f, "nf_defrag_ipv6_enable" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe1af41bf, "dst_release" },
	{ 0x5be7ac37, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdc923ff7, "proc_dointvec" },
	{ 0x1be8b942, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x213cc895, "unregister_net_sysctl_table" },
	{ 0xf6b57031, "ip_local_out" },
	{ 0xae5e156d, "genl_unregister_family" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xf3c6e02b, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xe716a427, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x4d1c24cb, "kernel_sendmsg" },
	{ 0xec09105e, "nf_ct_netns_put" },
	{ 0x41e828cc, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdf66d270, "kmem_cache_destroy" },
	{ 0x23d5857, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xa647b399, "proc_dointvec_minmax" },
	{ 0x8d0dd782, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x39e90e3a, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x512a332, "try_module_get" },
	{ 0x7e0ab6c3, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xf36e1b9b, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x6327243, "skb_copy_bits" },
	{ 0x58638b2b, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xd3eaa6f0, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0x58716875, "consume_skb" },
	{ 0x45a70923, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x2a1b87ce, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3472607, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xa8416022, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc42948bf, "kernel_bind" },
	{ 0x225f5bfe, "set_user_nice" },
	{ 0x8e7009db, "genlmsg_put" },
	{ 0x254a08fc, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x91121655, "ip6_output" },
	{ 0xdd52f66b, "ip6_route_me_harder" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8669801e, "__module_get" },
	{ 0x70102ac4, "ip_route_output_flow" },
	{ 0x32de7b4f, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x75fdd57f, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x75c80ade, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x1a457733, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76b2da19, "pskb_expand_head" },
	{ 0x71aa945d, "register_pernet_subsys" },
	{ 0xe2c11986, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9bbb670a, "register_net_sysctl_sz" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xbf61b266, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x6f5db655, "nf_register_net_hooks" },
	{ 0x86ed01b6, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7d25a8e0, "kmem_cache_alloc" },
	{ 0xbaa67cce, "ipv6_sock_mc_join" },
	{ 0x4eabd331, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x81fefa82, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7bfa2c9b, "__skb_get_hash" },
	{ 0xdf0949c, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x30f8ab63, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x4f323b6, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x9e5c4d1b, "nf_ct_expect_related_report" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "FB75581338A789C6D41C6D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
