#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(virtio_transport_deliver_tap_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_inc_tx_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_get_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_put_credit, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_seqpacket_has_data, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_do_socket_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_buffer_size, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_in, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_poll_out, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_pre_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_recv_post_dequeue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_init, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_block, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_pre_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_send_post_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_rcvhiwat, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_is_active, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_bind, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_allow, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_connect, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_shutdown, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_dgram_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_stream_enqueue, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_destruct, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_release, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_recv_pkt, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_purge_skbs, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_read_skb, "_gpl", "");
KSYMTAB_FUNC(virtio_transport_notify_set_rcvlowat, "_gpl", "");

SYMBOL_CRC(virtio_transport_deliver_tap_pkt, 0x74dbd163, "_gpl");
SYMBOL_CRC(virtio_transport_inc_tx_pkt, 0x63c81502, "_gpl");
SYMBOL_CRC(virtio_transport_get_credit, 0x3a16296f, "_gpl");
SYMBOL_CRC(virtio_transport_put_credit, 0x00962426, "_gpl");
SYMBOL_CRC(virtio_transport_stream_dequeue, 0xa669a7bb, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_dequeue, 0x259fdb26, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_enqueue, 0x9cfc3b2c, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_dequeue, 0x2f53b5f9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_data, 0x54077454, "_gpl");
SYMBOL_CRC(virtio_transport_seqpacket_has_data, 0x21cdd7a9, "_gpl");
SYMBOL_CRC(virtio_transport_stream_has_space, 0x4359dc3b, "_gpl");
SYMBOL_CRC(virtio_transport_do_socket_init, 0xd973ab9b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_buffer_size, 0x2a74f384, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_in, 0xf8e0a540, "_gpl");
SYMBOL_CRC(virtio_transport_notify_poll_out, 0xb97082a7, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_init, 0xafe8f135, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_block, 0x96882629, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_pre_dequeue, 0x82f88e6c, "_gpl");
SYMBOL_CRC(virtio_transport_notify_recv_post_dequeue, 0x7075cd1b, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_init, 0x44facd99, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_block, 0x00986348, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_pre_enqueue, 0x1f54c8b2, "_gpl");
SYMBOL_CRC(virtio_transport_notify_send_post_enqueue, 0xdc4088a4, "_gpl");
SYMBOL_CRC(virtio_transport_stream_rcvhiwat, 0xb8482c0d, "_gpl");
SYMBOL_CRC(virtio_transport_stream_is_active, 0xe61059bf, "_gpl");
SYMBOL_CRC(virtio_transport_stream_allow, 0x03a81e69, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_bind, 0x3d9915e4, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_allow, 0xbabd30f5, "_gpl");
SYMBOL_CRC(virtio_transport_connect, 0x27c516b9, "_gpl");
SYMBOL_CRC(virtio_transport_shutdown, 0x34eb815a, "_gpl");
SYMBOL_CRC(virtio_transport_dgram_enqueue, 0x8f78a36c, "_gpl");
SYMBOL_CRC(virtio_transport_stream_enqueue, 0x652aa1f9, "_gpl");
SYMBOL_CRC(virtio_transport_destruct, 0x6fa2f032, "_gpl");
SYMBOL_CRC(virtio_transport_release, 0x3915bf61, "_gpl");
SYMBOL_CRC(virtio_transport_recv_pkt, 0x24bee0c7, "_gpl");
SYMBOL_CRC(virtio_transport_purge_skbs, 0x7ca741ef, "_gpl");
SYMBOL_CRC(virtio_transport_read_skb, 0xdc7e7239, "_gpl");
SYMBOL_CRC(virtio_transport_notify_set_rcvlowat, 0x414ec3a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc82fbfa6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8c895512, "vsock_deliver_tap" },
	{ 0x18312391, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x499a1c6f, "sk_error_report" },
	{ 0x49864559, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc6bb2ebc, "vsock_find_bound_socket" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x3d4b0fca, "vsock_addr_init" },
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2ef7b073, "perf_trace_run_bpf_submit" },
	{ 0xc8b00ede, "sk_free" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x8240df21, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x42f4fa4c, "__skb_recv_datagram" },
	{ 0xffcaede7, "lock_sock_nested" },
	{ 0x52c82dee, "vsock_stream_has_data" },
	{ 0xbd075954, "skb_copy_datagram_iter" },
	{ 0x6ba5d121, "bpf_trace_run9" },
	{ 0xb492a899, "vsock_find_connected_socket" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xe25689c2, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50028de, "bpf_trace_run10" },
	{ 0x5bb670a7, "vsock_core_get_transport" },
	{ 0xaf41e171, "__zerocopy_sg_from_iter" },
	{ 0xcfa96699, "vsock_stream_has_space" },
	{ 0xef39c985, "skb_set_owner_w" },
	{ 0x6e538fb3, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4ffdc778, "_copy_from_iter" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb4d7788d, "msg_zerocopy_realloc" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x46287218, "vsock_create_connected" },
	{ 0x8f067072, "vsock_assign_transport" },
	{ 0x5c0d69ec, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x8e8d7491, "iov_iter_npages" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x23d5857, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xfade68e0, "vsock_data_ready" },
	{ 0x391f8b3f, "vsock_enqueue_accept" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x376dc42f, "vsock_insert_connected" },
	{ 0x44d9bdff, "skb_put" },
	{ 0x58716875, "consume_skb" },
	{ 0x45fe1b0a, "trace_raw_output_prep" },
	{ 0x19133baf, "__trace_trigger_soft_disabled" },
	{ 0x5cfa99db, "vsock_remove_sock" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "vsock");


MODULE_INFO(srcversion, "403DABB7F60250AC06AC582");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
