#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hdac_get_device_id, "_gpl", "");
KSYMTAB_DATA(snd_hda_bus_type, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exec_verb_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_link_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_register, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_device_set_chip_name, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_modalias, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read, "_gpl", "");
KSYMTAB_FUNC(_snd_hdac_read_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_read_parm_uncached, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_override_parm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_sub_nodes, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_refresh_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_connections, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_up_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_power_down_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format_bits, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spdif_stream_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_query_supported_pcm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_is_supported_format, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_read, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_codec_write, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_check_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_power_state, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_add_vendor_verb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_write_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_read_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_update_raw_once, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_regmap_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_cmd_io, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_send_cmd, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_update_rirb, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_get_response, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_parse_capabilities, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_enter_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_exit_link_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_reset_link, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_init_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_stop_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_handle_stream_irq, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_alloc_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_free_stream_pages, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_bus_link_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream_stripe_ctl, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_start, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stop_streams_and_chip, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_reset, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_assign, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release_locked, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_release, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_stream, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_setup_periods, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_timecounter_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_sync, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_spbcap_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_spib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_get_spbmaxfifo, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_drsm_enable, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_wait_drsm, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_dpibr, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_stream_set_lpib, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_prepare, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_dsp_cleanup, "_gpl", "");
KSYMTAB_FUNC(snd_array_new, "_gpl", "");
KSYMTAB_FUNC(snd_array_free, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_print_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_chmap_to_spk_mask, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_spk_to_chmap, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_setup_channel_mapping, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_active_channels, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_get_ch_alloc_from_ca, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_channel_allocation, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_register_chmap_ops, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_add_chmap_ctls, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_set_codec_wakeup, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_display_power, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_sync_audio_rate, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_get_eld, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_register_notifier, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_init, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_acomp_exit, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_set_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_hdac_i915_init, "_gpl", "");

SYMBOL_CRC(hdac_get_device_id, 0x1d2d0c40, "_gpl");
SYMBOL_CRC(snd_hda_bus_type, 0x5a07b74f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init, 0xeedecdbc, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit, 0x96345319, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exec_verb_unlocked, 0x58a48105, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_up, 0xa49c1129, "_gpl");
SYMBOL_CRC(snd_hdac_codec_link_down, 0x02717f1d, "_gpl");
SYMBOL_CRC(snd_hdac_device_init, 0x881be52b, "_gpl");
SYMBOL_CRC(snd_hdac_device_exit, 0x132a1026, "_gpl");
SYMBOL_CRC(snd_hdac_device_register, 0xf4162244, "_gpl");
SYMBOL_CRC(snd_hdac_device_unregister, 0x4343108a, "_gpl");
SYMBOL_CRC(snd_hdac_device_set_chip_name, 0x4f9d55e3, "_gpl");
SYMBOL_CRC(snd_hdac_codec_modalias, 0xf2ce1855, "_gpl");
SYMBOL_CRC(snd_hdac_read, 0xdd3741f8, "_gpl");
SYMBOL_CRC(_snd_hdac_read_parm, 0x252854af, "_gpl");
SYMBOL_CRC(snd_hdac_read_parm_uncached, 0x83918cbb, "_gpl");
SYMBOL_CRC(snd_hdac_override_parm, 0xfa62ec17, "_gpl");
SYMBOL_CRC(snd_hdac_get_sub_nodes, 0xb1bd9584, "_gpl");
SYMBOL_CRC(snd_hdac_refresh_widgets, 0xd0d8565b, "_gpl");
SYMBOL_CRC(snd_hdac_get_connections, 0x56e2627c, "_gpl");
SYMBOL_CRC(snd_hdac_power_up, 0xc2f183ec, "_gpl");
SYMBOL_CRC(snd_hdac_power_down, 0xf1ad8a8d, "_gpl");
SYMBOL_CRC(snd_hdac_power_up_pm, 0xd5118d6a, "_gpl");
SYMBOL_CRC(snd_hdac_power_down_pm, 0x2f1b8ad8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format_bits, 0xdfb2511b, "_gpl");
SYMBOL_CRC(snd_hdac_stream_format, 0xdcb61650, "_gpl");
SYMBOL_CRC(snd_hdac_spdif_stream_format, 0xbfc95c33, "_gpl");
SYMBOL_CRC(snd_hdac_query_supported_pcm, 0x92d88c02, "_gpl");
SYMBOL_CRC(snd_hdac_is_supported_format, 0xd8977dba, "_gpl");
SYMBOL_CRC(snd_hdac_codec_read, 0x5138a62d, "_gpl");
SYMBOL_CRC(snd_hdac_codec_write, 0x71dcfd29, "_gpl");
SYMBOL_CRC(snd_hdac_check_power_state, 0x6cf33cf7, "_gpl");
SYMBOL_CRC(snd_hdac_sync_power_state, 0x1fa73038, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_init, 0x62defa2b, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_exit, 0x80ccd2f3, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_add_vendor_verb, 0x19f55049, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_write_raw, 0x8f5bd6cc, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_read_raw, 0x7c9f247a, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw, 0x8ce7f02e, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_update_raw_once, 0xea436ed9, "_gpl");
SYMBOL_CRC(snd_hdac_regmap_sync, 0x5b8fde9f, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_cmd_io, 0xfb606c02, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_cmd_io, 0x189a6029, "_gpl");
SYMBOL_CRC(snd_hdac_bus_send_cmd, 0x6b6f81a9, "_gpl");
SYMBOL_CRC(snd_hdac_bus_update_rirb, 0xfe4e06bd, "_gpl");
SYMBOL_CRC(snd_hdac_bus_get_response, 0xf2f6be34, "_gpl");
SYMBOL_CRC(snd_hdac_bus_parse_capabilities, 0xeffad71d, "_gpl");
SYMBOL_CRC(snd_hdac_bus_enter_link_reset, 0xd545d243, "_gpl");
SYMBOL_CRC(snd_hdac_bus_exit_link_reset, 0xed1c277c, "_gpl");
SYMBOL_CRC(snd_hdac_bus_reset_link, 0xf85ddd66, "_gpl");
SYMBOL_CRC(snd_hdac_bus_init_chip, 0x64438231, "_gpl");
SYMBOL_CRC(snd_hdac_bus_stop_chip, 0xf0699feb, "_gpl");
SYMBOL_CRC(snd_hdac_bus_handle_stream_irq, 0x73be485e, "_gpl");
SYMBOL_CRC(snd_hdac_bus_alloc_stream_pages, 0xfae7e51a, "_gpl");
SYMBOL_CRC(snd_hdac_bus_free_stream_pages, 0xcb951692, "_gpl");
SYMBOL_CRC(snd_hdac_bus_link_power, 0xfa20b1c7, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream_stripe_ctl, 0xdd631a6c, "_gpl");
SYMBOL_CRC(snd_hdac_stream_init, 0xd59efb02, "_gpl");
SYMBOL_CRC(snd_hdac_stream_start, 0x6b404db0, "_gpl");
SYMBOL_CRC(snd_hdac_stream_stop, 0xd4156426, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams, 0x10b5e18a, "_gpl");
SYMBOL_CRC(snd_hdac_stop_streams_and_chip, 0xd5f2d1af, "_gpl");
SYMBOL_CRC(snd_hdac_stream_reset, 0xbaf3a1d6, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup, 0xa71bfb29, "_gpl");
SYMBOL_CRC(snd_hdac_stream_cleanup, 0x1be52197, "_gpl");
SYMBOL_CRC(snd_hdac_stream_assign, 0x717f392d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release_locked, 0x8d7bd08a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_release, 0x0cc082a8, "_gpl");
SYMBOL_CRC(snd_hdac_get_stream, 0xa96b8fcf, "_gpl");
SYMBOL_CRC(snd_hdac_stream_setup_periods, 0x902298ef, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_params, 0xd11d88f4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_timecounter_init, 0xfda1b5e8, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync_trigger, 0xb2154cd4, "_gpl");
SYMBOL_CRC(snd_hdac_stream_sync, 0x2649336a, "_gpl");
SYMBOL_CRC(snd_hdac_stream_spbcap_enable, 0x4cd96d38, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_spib, 0x3bd718a2, "_gpl");
SYMBOL_CRC(snd_hdac_stream_get_spbmaxfifo, 0xf1aa65c5, "_gpl");
SYMBOL_CRC(snd_hdac_stream_drsm_enable, 0x2bf04369, "_gpl");
SYMBOL_CRC(snd_hdac_stream_wait_drsm, 0x6b707009, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_dpibr, 0x2f03331d, "_gpl");
SYMBOL_CRC(snd_hdac_stream_set_lpib, 0x83e8528e, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_prepare, 0x3f867fbc, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_trigger, 0x984d106b, "_gpl");
SYMBOL_CRC(snd_hdac_dsp_cleanup, 0xc7360612, "_gpl");
SYMBOL_CRC(snd_array_new, 0xbe7dd7dc, "_gpl");
SYMBOL_CRC(snd_array_free, 0x9a8e1877, "_gpl");
SYMBOL_CRC(snd_hdac_print_channel_allocation, 0xe4e07754, "_gpl");
SYMBOL_CRC(snd_hdac_chmap_to_spk_mask, 0x77c754a8, "_gpl");
SYMBOL_CRC(snd_hdac_spk_to_chmap, 0x67bfe791, "_gpl");
SYMBOL_CRC(snd_hdac_setup_channel_mapping, 0x2b49bab5, "_gpl");
SYMBOL_CRC(snd_hdac_get_active_channels, 0x3bd544c2, "_gpl");
SYMBOL_CRC(snd_hdac_get_ch_alloc_from_ca, 0x4c7ec4b6, "_gpl");
SYMBOL_CRC(snd_hdac_channel_allocation, 0xea81eec2, "_gpl");
SYMBOL_CRC(snd_hdac_register_chmap_ops, 0x57c11402, "_gpl");
SYMBOL_CRC(snd_hdac_add_chmap_ctls, 0xa694aa8d, "_gpl");
SYMBOL_CRC(snd_hdac_set_codec_wakeup, 0xd5de9a31, "_gpl");
SYMBOL_CRC(snd_hdac_display_power, 0xa95c475c, "_gpl");
SYMBOL_CRC(snd_hdac_sync_audio_rate, 0x5fdf301d, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_get_eld, 0x9e6a88ec, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_register_notifier, 0x303a6f43, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_init, 0xa7bf1827, "_gpl");
SYMBOL_CRC(snd_hdac_acomp_exit, 0x12b18e1c, "_gpl");
SYMBOL_CRC(snd_hdac_i915_set_bclk, 0xc77a3cf6, "_gpl");
SYMBOL_CRC(snd_hdac_i915_init, 0x0ec4fa02, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0x887016ec, "snd_sgbuf_get_chunk_size" },
	{ 0xd656445d, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x49864559, "trace_event_buffer_commit" },
	{ 0x534a7477, "snd_dma_free_pages" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x148cba09, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0x4eabd331, "module_put" },
	{ 0x530e022, "component_match_add_typed" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2ef7b073, "perf_trace_run_bpf_submit" },
	{ 0x61ea8468, "bus_unregister" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x1b293350, "kobject_add" },
	{ 0x473db0ca, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x8c2a533c, "__devres_alloc_node" },
	{ 0x8240df21, "trace_event_reg" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x904b1b26, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8fff916e, "__regmap_init" },
	{ 0xa7180f76, "device_del" },
	{ 0xfb578fc5, "memset" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa791ef6d, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x589e118c, "sysfs_remove_group" },
	{ 0xff66fe9d, "bpf_trace_run3" },
	{ 0x98bee2a7, "component_master_del" },
	{ 0xf4d7e86a, "regmap_read" },
	{ 0x6e538fb3, "trace_event_buffer_reserve" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x19e5a3eb, "component_bind_all" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x41aa5e29, "snd_pcm_hw_params_bits" },
	{ 0x13d383c8, "kobject_uevent" },
	{ 0x62bb09bf, "clocks_calc_mult_shift" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x12ea6280, "pci_match_id" },
	{ 0xcef62f89, "devres_find" },
	{ 0xa72c7a7c, "regmap_update_bits_base" },
	{ 0x51229513, "dev_err_probe" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x515044a9, "__pm_runtime_suspend" },
	{ 0xfe11ec9f, "regmap_exit" },
	{ 0x754d539c, "strlen" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x34e60c8f, "component_unbind_all" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa646b34, "pci_bus_type" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x86667fc9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcd99cfb6, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x512a332, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x82ede622, "regcache_sync" },
	{ 0xe8532aad, "regmap_write" },
	{ 0x6bf8107a, "snd_dma_alloc_dir_pages" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x1fa8ca0f, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc4e48a60, "component_master_add_with_match" },
	{ 0x45fe1b0a, "trace_raw_output_prep" },
	{ 0xe58655ee, "snd_pcm_add_chmap_ctls" },
	{ 0xf12c9d60, "pci_dev_put" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x19133baf, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x650d9d3d, "pci_get_device" },
	{ 0xc82fbfa6, "trace_event_printf" },
	{ 0xc2144692, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa5e0c92, "pm_runtime_get_if_active" },
	{ 0xa6d6daf, "kobject_init" },
	{ 0xc7cd4391, "device_initialize" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x18312391, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a7a37ea, "regcache_reg_cached" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x213233c5, "bpf_trace_run2" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x482e7dc1, "snd_sgbuf_get_addr" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm");


MODULE_INFO(srcversion, "16A21821470FF5B0190DD20");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
