#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c17fd7, "usb_driver_claim_interface" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xfff006b2, "snd_card_free_when_closed" },
	{ 0xf01ec426, "usb_set_interface" },
	{ 0x1ef5d2a9, "snd_pcm_set_ops" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x33b75706, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc9443c51, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0xfb578fc5, "memset" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0xfde3be17, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3c3f1c00, "snd_card_disconnect" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9b2e4f34, "param_ops_bool" },
	{ 0x32b3075a, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdc92cd57, "snd_pcm_stop_xrun" },
	{ 0xa266d601, "snd_pcm_hw_constraint_msbits" },
	{ 0xfa6c5431, "usb_init_urb" },
	{ 0x2ef59901, "snd_pcm_period_elapsed" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xd9d2bb03, "snd_usbmidi_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xef5ca914, "param_ops_uint" },
	{ 0xa727ed34, "usb_alloc_coherent" },
	{ 0x6bb28c9c, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b962cce, "usb_ifnum_to_if" },
	{ 0x7569028f, "snd_card_register" },
	{ 0x107e5fdc, "snd_card_free" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7a0f72f, "usb_register_driver" },
	{ 0xb82843ec, "snd_pcm_hw_constraint_minmax" },
	{ 0x8010cd46, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x222f9a8d, "usb_driver_release_interface" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e868e89, "usb_submit_urb" },
	{ 0x2b8a0d91, "snd_card_new" },
	{ 0x9b521794, "__snd_usbmidi_create" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0xc57760ee, "usb_free_coherent" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd,snd-pcm,snd-usbmidi-lib");

MODULE_ALIAS("usb:v0582p0044d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0582p007Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0582p008Dd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "777B7BA42B1924D686404EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
