#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hci_uart_tx_wakeup, "_gpl", "");
KSYMTAB_FUNC(hci_uart_register_device_priv, "_gpl", "");
KSYMTAB_FUNC(hci_uart_unregister_device, "_gpl", "");
KSYMTAB_FUNC(h4_recv_buf, "_gpl", "");

SYMBOL_CRC(hci_uart_tx_wakeup, 0x2960ec08, "_gpl");
SYMBOL_CRC(hci_uart_register_device_priv, 0x36658840, "_gpl");
SYMBOL_CRC(hci_uart_unregister_device, 0xc38559b9, "_gpl");
SYMBOL_CRC(h4_recv_buf, 0x38f4aed8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44bae227, "bit_wait_timeout" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0xb8bf62ed, "desc_to_gpio" },
	{ 0x36ec7e59, "hci_recv_frame" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xf561f02, "qca_read_soc_version" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b2e4f34, "param_ops_bool" },
	{ 0xcfddd658, "serdev_device_close" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xda34a013, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5641485b, "tty_termios_encode_baud_rate" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1fbe0019, "__percpu_down_read" },
	{ 0xff81487d, "gpiod_remove_lookup_table" },
	{ 0xc130eb7d, "btbcm_write_pcm_int_params" },
	{ 0xf048d0c6, "btbcm_set_bdaddr" },
	{ 0xad84fc1b, "tty_unthrottle" },
	{ 0xd1c70342, "hci_reset_dev" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xec441d65, "btbcm_check_bdaddr" },
	{ 0x854e9cde, "rcuwait_wake_up" },
	{ 0xa7e937b8, "acpi_dev_get_property" },
	{ 0x9a43b2a7, "qca_set_bdaddr_rome" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x515044a9, "__pm_runtime_suspend" },
	{ 0x35141b71, "hci_register_dev" },
	{ 0x42eb53c0, "qca_set_bdaddr" },
	{ 0x214e4265, "bt_warn" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x6046f42e, "btintel_enter_mfg" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x8d909ea0, "__hci_cmd_sync" },
	{ 0xe5364758, "debugfs_create_u8" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0x2154e269, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x44f08c75, "hci_devcd_abort" },
	{ 0xdc6699cb, "acpi_dev_free_resource_list" },
	{ 0x994ccd7d, "hci_recv_diag" },
	{ 0xe9744580, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xb2e24c5d, "percpu_free_rwsem" },
	{ 0xc5c765db, "gpiod_get_value_cansleep" },
	{ 0x2ab9d9b9, "tty_set_termios" },
	{ 0x4f483505, "device_property_present" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0x72b35c6d, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xba606a65, "devm_request_threaded_irq" },
	{ 0x573d2cd5, "percpu_down_write" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x44d9bdff, "skb_put" },
	{ 0xeafd820, "gpiod_set_value" },
	{ 0x8b7cfc16, "tty_register_ldisc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xac78b138, "serdev_device_set_baudrate" },
	{ 0xa492d5fd, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x25cdcb78, "hci_free_dev" },
	{ 0x146b6629, "platform_get_irq" },
	{ 0x849f1f98, "btintel_check_bdaddr" },
	{ 0xe79002aa, "btbcm_finalize" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xcf86b544, "btrtl_download_firmware" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4db525d8, "skb_dequeue" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x53f6a4b1, "btintel_send_intel_reset" },
	{ 0x8f45ce29, "nvmem_cell_get" },
	{ 0x61a9972c, "gpiod_set_value_cansleep" },
	{ 0x73716044, "request_firmware" },
	{ 0xc001b2e2, "btintel_download_firmware" },
	{ 0x5ba4a10f, "btbcm_initialize" },
	{ 0xef304d43, "serdev_device_set_flow_control" },
	{ 0xc8aa6dae, "btrtl_initialize" },
	{ 0x581921cf, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x82e6cf11, "hci_alloc_dev_priv" },
	{ 0x1e66394e, "btintel_read_version" },
	{ 0x37a0cba, "kfree" },
	{ 0xe0f25efd, "qca_send_pre_shutdown_cmd" },
	{ 0xb2f96e4c, "serdev_device_open" },
	{ 0x278230db, "pcpu_hot" },
	{ 0x556cca46, "x86_apple_machine" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc1348715, "btintel_version_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x19486aaa, "dev_kfree_skb_irq_reason" },
	{ 0xa83d481c, "devm_gpiod_get_optional" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x8669801e, "__module_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x310438cd, "get_device" },
	{ 0xeabfba6e, "btintel_set_bdaddr" },
	{ 0xc8250eb3, "hci_devcd_init" },
	{ 0x68df7c4f, "hci_devcd_append_pattern" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xf70eed70, "serdev_device_set_parity" },
	{ 0x5e9979dc, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f0e1538, "skb_queue_purge_reason" },
	{ 0xec96e91c, "hci_devcd_complete" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0x85540ebc, "nvmem_cell_put" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x8d873106, "acpi_dev_get_resources" },
	{ 0xaf78f260, "btrtl_free" },
	{ 0x57fcae75, "device_reprobe" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x222f8f8a, "btrtl_get_uart_settings" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x148cba09, "put_device" },
	{ 0x42ff28f8, "devm_free_irq" },
	{ 0xdd8ffd2e, "tty_driver_flush_buffer" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0xc1496346, "btintel_exit_mfg" },
	{ 0xa916b694, "strnlen" },
	{ 0x7f5b5207, "btintel_set_diag" },
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0xb72a147c, "regulator_bulk_disable" },
	{ 0x1919ce67, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x365a9624, "__hci_cmd_sync_status" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0x8b149c36, "clk_is_match" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf80573da, "skb_queue_tail" },
	{ 0x4eabd331, "module_put" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x80302f7a, "device_wakeup_disable" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x1a6a8efe, "btbcm_read_pcm_int_params" },
	{ 0x778f80ce, "percpu_up_write" },
	{ 0x5cd5275d, "regulator_set_load" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xd59e13b3, "devm_acpi_dev_add_driver_gpios" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0xd672b26a, "device_wakeup_enable" },
	{ 0x92f9ed40, "debugfs_create_bool" },
	{ 0xa925e119, "skb_pull" },
	{ 0x5731b848, "device_property_read_u8_array" },
	{ 0xde009dd4, "devm_clk_put" },
	{ 0x27e01cdf, "serdev_device_write_flush" },
	{ 0xbb9e0894, "serdev_device_get_tiocm" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4071b517, "out_of_line_wait_on_bit_timeout" },
	{ 0x2c290ec4, "irq_get_irq_data" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x14e70c44, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7aa03581, "btrtl_set_quirks" },
	{ 0x46cd9330, "skb_push" },
	{ 0xd813e845, "btintel_load_ddc_config" },
	{ 0x5b33f365, "n_tty_ioctl_helper" },
	{ 0xa8f57080, "debugfs_create_u64" },
	{ 0x8b9a6f7f, "driver_unregister" },
	{ 0x7b5ce5c3, "baswap" },
	{ 0xa3d3f354, "btintel_set_event_mask_mfg" },
	{ 0xded85934, "tty_ldisc_flush" },
	{ 0x57c5fc17, "__percpu_init_rwsem" },
	{ 0xaa612990, "__hci_cmd_send" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xdec4a193, "serdev_device_wait_until_sent" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd6453f3d, "__serdev_device_driver_register" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x368b2199, "qca_uart_setup" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x80e97fd0, "hci_devcd_register" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0xb69238aa, "device_get_match_data" },
	{ 0xaddfe949, "hci_devcd_append" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf610cd25, "debugfs_create_u32" },
	{ 0x822a76b8, "acpi_match_device" },
	{ 0xaf2d3077, "serdev_device_set_tiocm" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x718b8b7, "bt_info" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xf56c29f3, "regulator_bulk_enable" },
	{ 0x5ca0f1ba, "devm_regulator_bulk_get" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0xef009e63, "btintel_read_boot_params" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe84d4380, "serdev_device_write_buf" },
	{ 0xcac7a22f, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x67faa507, "tty_unregister_ldisc" },
	{ 0x7da62b4, "__platform_driver_register" },
	{ 0x26b1d156, "devm_clk_get_optional" },
	{ 0xa12e398, "__hci_cmd_sync_ev" },
	{ 0x61f9bb83, "hci_unregister_dev" },
	{ 0x38aa1397, "gpiod_add_lookup_table" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,btqca,btbcm,btintel,btrtl");

MODULE_ALIAS("acpi*:OBDA0623:*");
MODULE_ALIAS("acpi*:OBDA8723:*");
MODULE_ALIAS("of:N*T*Cti,cc2560");
MODULE_ALIAS("of:N*T*Cti,cc2560C*");
MODULE_ALIAS("of:N*T*Cti,wl1271-st");
MODULE_ALIAS("of:N*T*Cti,wl1271-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1273-st");
MODULE_ALIAS("of:N*T*Cti,wl1273-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1281-st");
MODULE_ALIAS("of:N*T*Cti,wl1281-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1283-st");
MODULE_ALIAS("of:N*T*Cti,wl1283-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1285-st");
MODULE_ALIAS("of:N*T*Cti,wl1285-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1801-st");
MODULE_ALIAS("of:N*T*Cti,wl1801-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1805-st");
MODULE_ALIAS("of:N*T*Cti,wl1805-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1807-st");
MODULE_ALIAS("of:N*T*Cti,wl1807-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1831-st");
MODULE_ALIAS("of:N*T*Cti,wl1831-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1835-st");
MODULE_ALIAS("of:N*T*Cti,wl1835-stC*");
MODULE_ALIAS("of:N*T*Cti,wl1837-st");
MODULE_ALIAS("of:N*T*Cti,wl1837-stC*");
MODULE_ALIAS("acpi*:QCOM2066:*");
MODULE_ALIAS("acpi*:QCOM6390:*");
MODULE_ALIAS("acpi*:DLA16390:*");
MODULE_ALIAS("acpi*:DLB16390:*");
MODULE_ALIAS("acpi*:DLB26390:*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897");
MODULE_ALIAS("of:N*T*Cmrvl,88w8897C*");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997");
MODULE_ALIAS("of:N*T*Cmrvl,88w8997C*");
MODULE_ALIAS("acpi*:BCM2E00:*");
MODULE_ALIAS("acpi*:BCM2E01:*");
MODULE_ALIAS("acpi*:BCM2E02:*");
MODULE_ALIAS("acpi*:BCM2E03:*");
MODULE_ALIAS("acpi*:BCM2E04:*");
MODULE_ALIAS("acpi*:BCM2E05:*");
MODULE_ALIAS("acpi*:BCM2E06:*");
MODULE_ALIAS("acpi*:BCM2E07:*");
MODULE_ALIAS("acpi*:BCM2E08:*");
MODULE_ALIAS("acpi*:BCM2E09:*");
MODULE_ALIAS("acpi*:BCM2E0A:*");
MODULE_ALIAS("acpi*:BCM2E0B:*");
MODULE_ALIAS("acpi*:BCM2E0C:*");
MODULE_ALIAS("acpi*:BCM2E0D:*");
MODULE_ALIAS("acpi*:BCM2E0E:*");
MODULE_ALIAS("acpi*:BCM2E0F:*");
MODULE_ALIAS("acpi*:BCM2E10:*");
MODULE_ALIAS("acpi*:BCM2E11:*");
MODULE_ALIAS("acpi*:BCM2E12:*");
MODULE_ALIAS("acpi*:BCM2E13:*");
MODULE_ALIAS("acpi*:BCM2E14:*");
MODULE_ALIAS("acpi*:BCM2E15:*");
MODULE_ALIAS("acpi*:BCM2E16:*");
MODULE_ALIAS("acpi*:BCM2E17:*");
MODULE_ALIAS("acpi*:BCM2E18:*");
MODULE_ALIAS("acpi*:BCM2E19:*");
MODULE_ALIAS("acpi*:BCM2E1A:*");
MODULE_ALIAS("acpi*:BCM2E1B:*");
MODULE_ALIAS("acpi*:BCM2E1C:*");
MODULE_ALIAS("acpi*:BCM2E1D:*");
MODULE_ALIAS("acpi*:BCM2E1F:*");
MODULE_ALIAS("acpi*:BCM2E20:*");
MODULE_ALIAS("acpi*:BCM2E21:*");
MODULE_ALIAS("acpi*:BCM2E22:*");
MODULE_ALIAS("acpi*:BCM2E23:*");
MODULE_ALIAS("acpi*:BCM2E24:*");
MODULE_ALIAS("acpi*:BCM2E25:*");
MODULE_ALIAS("acpi*:BCM2E26:*");
MODULE_ALIAS("acpi*:BCM2E27:*");
MODULE_ALIAS("acpi*:BCM2E28:*");
MODULE_ALIAS("acpi*:BCM2E29:*");
MODULE_ALIAS("acpi*:BCM2E2A:*");
MODULE_ALIAS("acpi*:BCM2E2B:*");
MODULE_ALIAS("acpi*:BCM2E2C:*");
MODULE_ALIAS("acpi*:BCM2E2D:*");
MODULE_ALIAS("acpi*:BCM2E2E:*");
MODULE_ALIAS("acpi*:BCM2E2F:*");
MODULE_ALIAS("acpi*:BCM2E30:*");
MODULE_ALIAS("acpi*:BCM2E31:*");
MODULE_ALIAS("acpi*:BCM2E32:*");
MODULE_ALIAS("acpi*:BCM2E33:*");
MODULE_ALIAS("acpi*:BCM2E34:*");
MODULE_ALIAS("acpi*:BCM2E35:*");
MODULE_ALIAS("acpi*:BCM2E36:*");
MODULE_ALIAS("acpi*:BCM2E37:*");
MODULE_ALIAS("acpi*:BCM2E38:*");
MODULE_ALIAS("acpi*:BCM2E39:*");
MODULE_ALIAS("acpi*:BCM2E3A:*");
MODULE_ALIAS("acpi*:BCM2E3B:*");
MODULE_ALIAS("acpi*:BCM2E3C:*");
MODULE_ALIAS("acpi*:BCM2E3D:*");
MODULE_ALIAS("acpi*:BCM2E3E:*");
MODULE_ALIAS("acpi*:BCM2E3F:*");
MODULE_ALIAS("acpi*:BCM2E40:*");
MODULE_ALIAS("acpi*:BCM2E41:*");
MODULE_ALIAS("acpi*:BCM2E42:*");
MODULE_ALIAS("acpi*:BCM2E43:*");
MODULE_ALIAS("acpi*:BCM2E44:*");
MODULE_ALIAS("acpi*:BCM2E45:*");
MODULE_ALIAS("acpi*:BCM2E46:*");
MODULE_ALIAS("acpi*:BCM2E47:*");
MODULE_ALIAS("acpi*:BCM2E48:*");
MODULE_ALIAS("acpi*:BCM2E49:*");
MODULE_ALIAS("acpi*:BCM2E4A:*");
MODULE_ALIAS("acpi*:BCM2E4B:*");
MODULE_ALIAS("acpi*:BCM2E4C:*");
MODULE_ALIAS("acpi*:BCM2E4D:*");
MODULE_ALIAS("acpi*:BCM2E4E:*");
MODULE_ALIAS("acpi*:BCM2E4F:*");
MODULE_ALIAS("acpi*:BCM2E50:*");
MODULE_ALIAS("acpi*:BCM2E51:*");
MODULE_ALIAS("acpi*:BCM2E52:*");
MODULE_ALIAS("acpi*:BCM2E53:*");
MODULE_ALIAS("acpi*:BCM2E54:*");
MODULE_ALIAS("acpi*:BCM2E55:*");
MODULE_ALIAS("acpi*:BCM2E56:*");
MODULE_ALIAS("acpi*:BCM2E57:*");
MODULE_ALIAS("acpi*:BCM2E58:*");
MODULE_ALIAS("acpi*:BCM2E59:*");
MODULE_ALIAS("acpi*:BCM2E5A:*");
MODULE_ALIAS("acpi*:BCM2E5B:*");
MODULE_ALIAS("acpi*:BCM2E5C:*");
MODULE_ALIAS("acpi*:BCM2E5D:*");
MODULE_ALIAS("acpi*:BCM2E5E:*");
MODULE_ALIAS("acpi*:BCM2E5F:*");
MODULE_ALIAS("acpi*:BCM2E60:*");
MODULE_ALIAS("acpi*:BCM2E61:*");
MODULE_ALIAS("acpi*:BCM2E62:*");
MODULE_ALIAS("acpi*:BCM2E63:*");
MODULE_ALIAS("acpi*:BCM2E64:*");
MODULE_ALIAS("acpi*:BCM2E65:*");
MODULE_ALIAS("acpi*:BCM2E66:*");
MODULE_ALIAS("acpi*:BCM2E67:*");
MODULE_ALIAS("acpi*:BCM2E68:*");
MODULE_ALIAS("acpi*:BCM2E69:*");
MODULE_ALIAS("acpi*:BCM2E6B:*");
MODULE_ALIAS("acpi*:BCM2E6D:*");
MODULE_ALIAS("acpi*:BCM2E6E:*");
MODULE_ALIAS("acpi*:BCM2E6F:*");
MODULE_ALIAS("acpi*:BCM2E70:*");
MODULE_ALIAS("acpi*:BCM2E71:*");
MODULE_ALIAS("acpi*:BCM2E72:*");
MODULE_ALIAS("acpi*:BCM2E73:*");
MODULE_ALIAS("acpi*:BCM2E74:*");
MODULE_ALIAS("acpi*:BCM2E75:*");
MODULE_ALIAS("acpi*:BCM2E76:*");
MODULE_ALIAS("acpi*:BCM2E77:*");
MODULE_ALIAS("acpi*:BCM2E78:*");
MODULE_ALIAS("acpi*:BCM2E79:*");
MODULE_ALIAS("acpi*:BCM2E7A:*");
MODULE_ALIAS("acpi*:BCM2E7B:*");
MODULE_ALIAS("acpi*:BCM2E7C:*");
MODULE_ALIAS("acpi*:BCM2E7D:*");
MODULE_ALIAS("acpi*:BCM2E7E:*");
MODULE_ALIAS("acpi*:BCM2E7F:*");
MODULE_ALIAS("acpi*:BCM2E80:*");
MODULE_ALIAS("acpi*:BCM2E81:*");
MODULE_ALIAS("acpi*:BCM2E82:*");
MODULE_ALIAS("acpi*:BCM2E83:*");
MODULE_ALIAS("acpi*:BCM2E84:*");
MODULE_ALIAS("acpi*:BCM2E85:*");
MODULE_ALIAS("acpi*:BCM2E86:*");
MODULE_ALIAS("acpi*:BCM2E87:*");
MODULE_ALIAS("acpi*:BCM2E88:*");
MODULE_ALIAS("acpi*:BCM2E89:*");
MODULE_ALIAS("acpi*:BCM2E8A:*");
MODULE_ALIAS("acpi*:BCM2E8B:*");
MODULE_ALIAS("acpi*:BCM2E8C:*");
MODULE_ALIAS("acpi*:BCM2E8D:*");
MODULE_ALIAS("acpi*:BCM2E8E:*");
MODULE_ALIAS("acpi*:BCM2E90:*");
MODULE_ALIAS("acpi*:BCM2E92:*");
MODULE_ALIAS("acpi*:BCM2E93:*");
MODULE_ALIAS("acpi*:BCM2E94:*");
MODULE_ALIAS("acpi*:BCM2E95:*");
MODULE_ALIAS("acpi*:BCM2E96:*");
MODULE_ALIAS("acpi*:BCM2E97:*");
MODULE_ALIAS("acpi*:BCM2E98:*");
MODULE_ALIAS("acpi*:BCM2E99:*");
MODULE_ALIAS("acpi*:BCM2E9A:*");
MODULE_ALIAS("acpi*:BCM2E9B:*");
MODULE_ALIAS("acpi*:BCM2E9C:*");
MODULE_ALIAS("acpi*:BCM2E9D:*");
MODULE_ALIAS("acpi*:BCM2E9F:*");
MODULE_ALIAS("acpi*:BCM2EA0:*");
MODULE_ALIAS("acpi*:BCM2EA1:*");
MODULE_ALIAS("acpi*:BCM2EA2:*");
MODULE_ALIAS("acpi*:BCM2EA3:*");
MODULE_ALIAS("acpi*:BCM2EA4:*");
MODULE_ALIAS("acpi*:BCM2EA5:*");
MODULE_ALIAS("acpi*:BCM2EA6:*");
MODULE_ALIAS("acpi*:BCM2EA7:*");
MODULE_ALIAS("acpi*:BCM2EA8:*");
MODULE_ALIAS("acpi*:BCM2EA9:*");
MODULE_ALIAS("acpi*:BCM2EAA:*");
MODULE_ALIAS("acpi*:BCM2EAB:*");
MODULE_ALIAS("acpi*:BCM2EAC:*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8822cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723bs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723cs-btC*");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-bt");
MODULE_ALIAS("of:N*T*Crealtek,rtl8723ds-btC*");
MODULE_ALIAS("acpi*:INT33E1:*");
MODULE_ALIAS("acpi*:INT33E3:*");

MODULE_INFO(srcversion, "40263CE421936F3B21E9BD2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
