#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dfl_fpga_port_ops_get, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_put, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_add, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_port_ops_del, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_check_port_id, "_gpl", "");
KSYMTAB_FUNC(__dfl_driver_register, "", "");
KSYMTAB_FUNC(dfl_driver_unregister, "", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_uinit, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_feature_init, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_register, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_dev_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(dfh_find_param, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_alloc, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_free, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_dfl, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_enum_info_add_irq, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_enumerate, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_feature_devs_remove, "_gpl", "");
KSYMTAB_FUNC(__dfl_fpga_cdev_find_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_release_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_assign_port, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_pf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_cdev_config_ports_vf, "_gpl", "");
KSYMTAB_FUNC(dfl_fpga_set_irq_triggers, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_get_num_irqs, "_gpl", "");
KSYMTAB_FUNC(dfl_feature_ioctl_set_irq, "_gpl", "");

SYMBOL_CRC(dfl_fpga_port_ops_get, 0x7b86614f, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_put, 0x95525fca, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_add, 0xbd263636, "_gpl");
SYMBOL_CRC(dfl_fpga_port_ops_del, 0xa5af59f0, "_gpl");
SYMBOL_CRC(dfl_fpga_check_port_id, 0x0fb5df3b, "_gpl");
SYMBOL_CRC(__dfl_driver_register, 0x0bd8b80b, "");
SYMBOL_CRC(dfl_driver_unregister, 0x0a7eeba8, "");
SYMBOL_CRC(dfl_fpga_dev_feature_uinit, 0xb65cc8f9, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_feature_init, 0xba9fc4c4, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_register, 0xe56ea08f, "_gpl");
SYMBOL_CRC(dfl_fpga_dev_ops_unregister, 0x64d1a758, "_gpl");
SYMBOL_CRC(dfh_find_param, 0x67ce62e0, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_alloc, 0x3bca7630, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_free, 0xfef904c4, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_dfl, 0xaeeb578e, "_gpl");
SYMBOL_CRC(dfl_fpga_enum_info_add_irq, 0xb0297063, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_enumerate, 0x44eff957, "_gpl");
SYMBOL_CRC(dfl_fpga_feature_devs_remove, 0x46858f3a, "_gpl");
SYMBOL_CRC(__dfl_fpga_cdev_find_port, 0x4390d8ad, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_release_port, 0x25644d25, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_assign_port, 0x2ef119e3, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_pf, 0xd286a602, "_gpl");
SYMBOL_CRC(dfl_fpga_cdev_config_ports_vf, 0xf604f89d, "_gpl");
SYMBOL_CRC(dfl_fpga_set_irq_triggers, 0xe4137072, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_get_num_irqs, 0xe85263cc, "_gpl");
SYMBOL_CRC(dfl_feature_ioctl_set_irq, 0x6f4f2fe1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x512a332, "try_module_get" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x4eabd331, "module_put" },
	{ 0xca59b862, "driver_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8b9a6f7f, "driver_unregister" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc5e74216, "release_resource" },
	{ 0x37a0cba, "kfree" },
	{ 0x6573f300, "ida_free" },
	{ 0x990547f, "cdev_init" },
	{ 0xd0a4dd69, "cdev_add" },
	{ 0x98a39665, "cdev_del" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x310438cd, "get_device" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x148cba09, "put_device" },
	{ 0xa6538819, "devm_kfree" },
	{ 0x8a25fb64, "devm_kmemdup" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7e649a1f, "__devm_request_region" },
	{ 0xf4070fcc, "devm_ioremap" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x941f2aaa, "eventfd_ctx_put" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd67364f7, "eventfd_ctx_fdget" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x86667fc9, "bus_register" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x61ea8468, "bus_unregister" },
	{ 0x81549c72, "device_unregister" },
	{ 0x426074c8, "devm_platform_ioremap_resource" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xc7cd4391, "device_initialize" },
	{ 0x1fa8ca0f, "dev_set_name" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x5f23e3fa, "insert_resource" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x473db0ca, "device_add" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0x6009343b, "platform_device_del" },
	{ 0x3bba263, "platform_device_add" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x3f59ee30, "platform_device_put" },
	{ 0x7a913731, "device_for_each_child" },
	{ 0xe0ae4fdd, "fpga_region_unregister" },
	{ 0xf2072ba5, "platform_device_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x29cdbbb0, "devm_ioremap_resource" },
	{ 0x196e852c, "__fpga_region_register" },
	{ 0x224d8eb5, "devm_iounmap" },
	{ 0x2bc02eae, "__devm_release_region" },
	{ 0x3b5927be, "platform_device_alloc" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "fpga-region");


MODULE_INFO(srcversion, "9A3F8476C3FFC9470016272");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
