#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gnss_serial_allocate, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_free, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_register, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_deregister, "_gpl", "");
KSYMTAB_DATA(gnss_serial_pm_ops, "_gpl", "");

SYMBOL_CRC(gnss_serial_allocate, 0x72e77d3c, "_gpl");
SYMBOL_CRC(gnss_serial_free, 0xb55654cd, "_gpl");
SYMBOL_CRC(gnss_serial_register, 0xc7fda045, "_gpl");
SYMBOL_CRC(gnss_serial_deregister, 0x6c4aa5a0, "_gpl");
SYMBOL_CRC(gnss_serial_pm_ops, 0x62b07aeb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc9160a67, "serdev_device_write_wakeup" },
	{ 0x452e098a, "serdev_device_write" },
	{ 0xdec4a193, "serdev_device_wait_until_sent" },
	{ 0x9c157bec, "gnss_allocate_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb9fa38e, "gnss_deregister_device" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0xcfddd658, "serdev_device_close" },
	{ 0xc5bdde33, "gnss_register_device" },
	{ 0xe830cbbd, "gnss_put_device" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0x500baff4, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xac78b138, "serdev_device_set_baudrate" },
	{ 0xda4cd357, "gnss_insert_raw" },
	{ 0xef304d43, "serdev_device_set_flow_control" },
	{ 0x37a0cba, "kfree" },
	{ 0xb2f96e4c, "serdev_device_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "gnss");


MODULE_INFO(srcversion, "D007DBB3AFE25E0D1D8C472");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
