#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9a482f9, "msleep" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xba606a65, "devm_request_threaded_irq" },
	{ 0x51229513, "dev_err_probe" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x862a6b73, "iio_triggered_buffer_setup_ext" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0xb5120a1c, "__iio_device_register" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0x731aa6eb, "iio_read_mount_matrix" },
	{ 0x822a76b8, "acpi_match_device" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x73174520, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfeefecbb, "iio_device_id" },
	{ 0xea3de205, "__devm_iio_trigger_alloc" },
	{ 0x5f55f022, "iio_trigger_register" },
	{ 0x310438cd, "get_device" },
	{ 0x8669801e, "__module_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdc373b18, "iio_buffer_enabled" },
	{ 0xe7cd9252, "i2c_smbus_read_word_data" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xaebf83d9, "i2c_smbus_read_i2c_block_data_or_emulated" },
	{ 0xba934f20, "iio_push_to_buffers" },
	{ 0x5fcc1dfb, "iio_trigger_notify_done" },
	{ 0x31067806, "iio_show_mount_matrix" },
	{ 0x11b51576, "iio_read_const_attr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61d7c402, "i2c_register_driver" },
	{ 0xbf4f2a6, "i2c_smbus_read_byte_data" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x72fba579, "i2c_smbus_write_byte_data" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7ffd6f05, "iio_device_unregister" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0xe2628e66, "iio_triggered_buffer_cleanup" },
	{ 0x199324f9, "iio_trigger_unregister" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x515044a9, "__pm_runtime_suspend" },
	{ 0xf0ea657e, "iio_push_event" },
	{ 0x228ff105, "iio_get_time_ns" },
	{ 0xfedbd90e, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5fc75d7e, "i2c_del_driver" },
	{ 0xffd33f41, "i2c_client_get_device_id" },
	{ 0xd645b0c1, "devm_iio_device_alloc" },
	{ 0x261fd4bf, "devm_regulator_bulk_get_enable" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013");
MODULE_ALIAS("of:N*T*Ckionix,kxcjk1013C*");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008");
MODULE_ALIAS("of:N*T*Ckionix,kxcj91008C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009");
MODULE_ALIAS("of:N*T*Ckionix,kxtj21009C*");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9");
MODULE_ALIAS("of:N*T*Ckionix,kxtf9C*");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025");
MODULE_ALIAS("of:N*T*Ckionix,kx023-1025C*");
MODULE_ALIAS("i2c:kxcjk1013");
MODULE_ALIAS("i2c:kxcj91008");
MODULE_ALIAS("i2c:kxtj21009");
MODULE_ALIAS("i2c:kxtf9");
MODULE_ALIAS("i2c:kx023-1025");
MODULE_ALIAS("i2c:SMO8500");
MODULE_ALIAS("acpi*:KXCJ1013:*");
MODULE_ALIAS("acpi*:KXCJ1008:*");
MODULE_ALIAS("acpi*:KXCJ9000:*");
MODULE_ALIAS("acpi*:KIOX0008:*");
MODULE_ALIAS("acpi*:KIOX0009:*");
MODULE_ALIAS("acpi*:KIOX000A:*");
MODULE_ALIAS("acpi*:KIOX010A:*");
MODULE_ALIAS("acpi*:KIOX020A:*");
MODULE_ALIAS("acpi*:KXTJ1009:*");
MODULE_ALIAS("acpi*:KXJ2109:*");
MODULE_ALIAS("acpi*:SMO8500:*");

MODULE_INFO(srcversion, "91FC788EC3FB8EB385F865F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
