#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0xf4059b0a, "");
SYMBOL_CRC(gspca_dev_probe2, 0xdfa85939, "");
SYMBOL_CRC(gspca_dev_probe, 0x654ba95f, "");
SYMBOL_CRC(gspca_disconnect, 0xc450d65e, "");
SYMBOL_CRC(gspca_suspend, 0xcce27d97, "");
SYMBOL_CRC(gspca_resume, 0x9bdc5132, "");
SYMBOL_CRC(gspca_expo_autogain, 0x28f256d2, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x9326f9cc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa12592f0, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5e868e89, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb5804da8, "__v4l2_ctrl_s_ctrl" },
	{ 0xaea0c9a3, "vb2_ioctl_dqbuf" },
	{ 0xc57760ee, "usb_free_coherent" },
	{ 0xfdb24a85, "vb2_ioctl_create_bufs" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x598356a6, "vb2_buffer_done" },
	{ 0xe472ae8a, "vb2_plane_vaddr" },
	{ 0xdb23fc1a, "v4l2_ctrl_subscribe_event" },
	{ 0xf01ec426, "usb_set_interface" },
	{ 0x4fc4d884, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x310b02d, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4c5983c0, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xed3eaff, "vb2_vmalloc_memops" },
	{ 0xe484de80, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xbf4f2aaa, "vb2_fop_read" },
	{ 0x360fd06b, "v4l2_device_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5e5358c0, "__video_register_device" },
	{ 0x8ea6422a, "vb2_ops_wait_prepare" },
	{ 0x32b3075a, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb9ce198a, "vb2_ioctl_streamon" },
	{ 0xc85b27c1, "vb2_fop_poll" },
	{ 0x2535ce08, "v4l2_ctrl_g_ctrl" },
	{ 0xdf5af00d, "v4l2_ctrl_handler_free" },
	{ 0xce3fb46f, "v4l2_device_unregister" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x906bc718, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa295601b, "v4l2_event_unsubscribe" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x8bf0190, "vb2_ioctl_reqbufs" },
	{ 0x942ca8b3, "vb2_queue_init" },
	{ 0xe38fed59, "input_allocate_device" },
	{ 0xeaa7bf15, "usb_alloc_urb" },
	{ 0xa15f7725, "video_ioctl2" },
	{ 0x7e65f454, "usb_free_urb" },
	{ 0x77b2e18d, "v4l2_device_put" },
	{ 0x53ddc31c, "vb2_ioctl_streamoff" },
	{ 0xa727ed34, "usb_alloc_coherent" },
	{ 0xbcd35a50, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5b962cce, "usb_ifnum_to_if" },
	{ 0xc1a17b80, "vb2_ops_wait_finish" },
	{ 0xd862d35a, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc312f0be, "vb2_ioctl_querybuf" },
	{ 0x2f6665f9, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5bfa8cde, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xac516316, "usb_clear_halt" },
	{ 0x4a413955, "v4l2_ctrl_handler_setup" },
	{ 0x1b8d29b0, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x835017c5, "video_devdata" },
	{ 0xa021860f, "vb2_queue_error" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C0F5C38121EAAFD38E0612A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
