#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc57760ee, "usb_free_coherent" },
	{ 0x32b3075a, "usb_kill_urb" },
	{ 0x7e65f454, "usb_free_urb" },
	{ 0xa727ed34, "usb_alloc_coherent" },
	{ 0xeaa7bf15, "usb_alloc_urb" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0xed3eaff, "vb2_vmalloc_memops" },
	{ 0x942ca8b3, "vb2_queue_init" },
	{ 0x6b77ca25, "v4l2_ctrl_handler_init_class" },
	{ 0x7acdd64c, "v4l2_ctrl_new_std" },
	{ 0xed17cc90, "v4l2_ctrl_auto_cluster" },
	{ 0xc5a32153, "__v4l2_ctrl_grab" },
	{ 0x4a413955, "v4l2_ctrl_handler_setup" },
	{ 0x360fd06b, "v4l2_device_register" },
	{ 0x906bc718, "video_device_release_empty" },
	{ 0x5e5358c0, "__video_register_device" },
	{ 0xbf4f2aaa, "vb2_fop_read" },
	{ 0x84dd5b21, "vb2_fop_write" },
	{ 0xc85b27c1, "vb2_fop_poll" },
	{ 0xa15f7725, "video_ioctl2" },
	{ 0x4c5983c0, "vb2_fop_mmap" },
	{ 0x2f6665f9, "v4l2_fh_open" },
	{ 0xa12592f0, "vb2_fop_release" },
	{ 0x8bf0190, "vb2_ioctl_reqbufs" },
	{ 0xc312f0be, "vb2_ioctl_querybuf" },
	{ 0x310b02d, "vb2_ioctl_qbuf" },
	{ 0xbcd35a50, "vb2_ioctl_expbuf" },
	{ 0xaea0c9a3, "vb2_ioctl_dqbuf" },
	{ 0xfdb24a85, "vb2_ioctl_create_bufs" },
	{ 0x6a25090c, "vb2_ioctl_prepare_buf" },
	{ 0xb9ce198a, "vb2_ioctl_streamon" },
	{ 0x53ddc31c, "vb2_ioctl_streamoff" },
	{ 0x3ba7c356, "v4l2_ctrl_log_status" },
	{ 0xdb23fc1a, "v4l2_ctrl_subscribe_event" },
	{ 0xa295601b, "v4l2_event_unsubscribe" },
	{ 0x8ea6422a, "vb2_ops_wait_prepare" },
	{ 0xc1a17b80, "vb2_ops_wait_finish" },
	{ 0x9b2e4f34, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7a0f72f, "usb_register_driver" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe484de80, "v4l2_device_disconnect" },
	{ 0x4fc4d884, "video_unregister_device" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x77b2e18d, "v4l2_device_put" },
	{ 0xdf5af00d, "v4l2_ctrl_handler_free" },
	{ 0xce3fb46f, "v4l2_device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x835017c5, "video_devdata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x598356a6, "vb2_buffer_done" },
	{ 0x69acdf38, "memcpy" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe472ae8a, "vb2_plane_vaddr" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5e868e89, "usb_submit_urb" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0xd241a1c3, "_dev_notice" },
	{ 0x46dc0815, "usb_control_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33b75706, "usb_deregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videobuf2-vmalloc,videobuf2-v4l2,videodev,videobuf2-common");

MODULE_ALIAS("usb:v1D50p6089d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "B20E5B3B5898B7C0C2934A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
