#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(memstick_detect_change, "", "");
KSYMTAB_FUNC(memstick_next_req, "", "");
KSYMTAB_FUNC(memstick_new_req, "", "");
KSYMTAB_FUNC(memstick_init_req_sg, "", "");
KSYMTAB_FUNC(memstick_init_req, "", "");
KSYMTAB_FUNC(memstick_set_rw_addr, "", "");
KSYMTAB_FUNC(memstick_alloc_host, "", "");
KSYMTAB_FUNC(memstick_add_host, "", "");
KSYMTAB_FUNC(memstick_remove_host, "", "");
KSYMTAB_FUNC(memstick_free_host, "", "");
KSYMTAB_FUNC(memstick_suspend_host, "", "");
KSYMTAB_FUNC(memstick_resume_host, "", "");
KSYMTAB_FUNC(memstick_register_driver, "", "");
KSYMTAB_FUNC(memstick_unregister_driver, "", "");

SYMBOL_CRC(memstick_detect_change, 0x44eff220, "");
SYMBOL_CRC(memstick_next_req, 0xbe57fac9, "");
SYMBOL_CRC(memstick_new_req, 0xd98d0dad, "");
SYMBOL_CRC(memstick_init_req_sg, 0x287277cb, "");
SYMBOL_CRC(memstick_init_req, 0x199305e6, "");
SYMBOL_CRC(memstick_set_rw_addr, 0x0d19d219, "");
SYMBOL_CRC(memstick_alloc_host, 0x4c10a6ac, "");
SYMBOL_CRC(memstick_add_host, 0x1f8f3d86, "");
SYMBOL_CRC(memstick_remove_host, 0xbf45e4f3, "");
SYMBOL_CRC(memstick_free_host, 0x4ec620e1, "");
SYMBOL_CRC(memstick_suspend_host, 0x712b9ecf, "");
SYMBOL_CRC(memstick_resume_host, 0x7de8c728, "");
SYMBOL_CRC(memstick_register_driver, 0xd28c5823, "");
SYMBOL_CRC(memstick_unregister_driver, 0x55018bb0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65b45cb, "complete" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x148cba09, "put_device" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x310438cd, "get_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x954f099c, "idr_preload" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x278230db, "pcpu_hot" },
	{ 0x1fa8ca0f, "dev_set_name" },
	{ 0x473db0ca, "device_add" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x81549c72, "device_unregister" },
	{ 0xa7180f76, "device_del" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xca59b862, "driver_register" },
	{ 0x8b9a6f7f, "driver_unregister" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x86667fc9, "bus_register" },
	{ 0x99aca8d9, "class_register" },
	{ 0x61ea8468, "bus_unregister" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xb8bee3bd, "class_unregister" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xc7cd4391, "device_initialize" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x500baff4, "__pm_runtime_idle" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb8d51133, "device_register" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xef5ca914, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B5B85EF027E2CDF365917D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
