#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd0b17ab1, "blk_queue_flag_set" },
	{ 0x4031056b, "blk_mq_free_request" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc46485d3, "blk_queue_flag_clear" },
	{ 0x518a42cb, "mmc_crypto_setup_queue" },
	{ 0x327b58d5, "mmc_cmdq_enable" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0x88b94f82, "debugfs_attr_read" },
	{ 0x341ec5ca, "mmc_prepare_busy_cmd" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x61ea8468, "bus_unregister" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x1ea2ad04, "blk_update_request" },
	{ 0x1928a86e, "debugfs_create_file_unsafe" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x291ae0cc, "simple_attr_release" },
	{ 0x33d9c291, "mmc_crypto_prepare_req" },
	{ 0xa7e3885f, "set_capacity" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x68b286a9, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x448ec53d, "mmc_set_data_timeout" },
	{ 0x5fd2b4db, "__blk_rq_map_sg" },
	{ 0xa8afcf15, "blk_mq_alloc_request" },
	{ 0x6573f300, "ida_free" },
	{ 0x1ce7672e, "mmc_retune_pause" },
	{ 0x18d77e6c, "blk_mq_free_tag_set" },
	{ 0x356559fc, "del_gendisk" },
	{ 0x4b659e2e, "mmc_cqe_recovery" },
	{ 0x44c32c5, "mmc_can_secure_erase_trim" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xa141bc49, "mmc_poll_for_busy" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xe841cbc1, "mmc_detect_card_removed" },
	{ 0x8170743d, "default_llseek" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x48fb5e71, "mmc_wait_for_req" },
	{ 0x15ef4d3b, "mmc_release_host" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xd95a518d, "mmc_switch" },
	{ 0x69105181, "nonseekable_open" },
	{ 0x334fddc1, "mmc_get_ext_csd" },
	{ 0xaa5735c6, "mmc_register_driver" },
	{ 0x6aedbe, "mmc_cqe_start_req" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe023fe66, "blk_mq_complete_request" },
	{ 0xf310191e, "debugfs_create_file" },
	{ 0x9f2a05d9, "dma_get_merge_boundary" },
	{ 0x11db50f4, "mmc_can_trim" },
	{ 0x59cdee57, "__mmc_poll_for_busy" },
	{ 0x8f982fa3, "mmc_app_cmd" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7178fd8c, "mmc_put_card" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xdb37ab2b, "mmc_retune_release" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5b5f6a24, "mmc_cmdq_disable" },
	{ 0xe88d9e24, "mmc_erase" },
	{ 0x40290e68, "mmc_wait_for_cmd" },
	{ 0xa395f667, "mmc_hw_reset" },
	{ 0x8dd7e91, "blk_mq_start_request" },
	{ 0x1ff195d5, "__mmc_send_status" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0xb88740a0, "mmc_send_status" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x5a6e98e8, "blk_mq_run_hw_queues" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x3201639e, "blk_mq_requeue_request" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x990547f, "cdev_init" },
	{ 0xb1df119b, "blk_queue_rq_timeout" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x32fb521, "mmc_retune_unpause" },
	{ 0x86667fc9, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2df25d82, "__blk_mq_end_request" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb70f4941, "mmc_run_bkops" },
	{ 0x746aeaef, "set_disk_ro" },
	{ 0xbfdbcb5b, "mmc_unregister_driver" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x130e2b5, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x7b8c55fd, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x51defaf7, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x43fd71ac, "mmc_cqe_post_req" },
	{ 0x6ee43ded, "cdev_device_del" },
	{ 0x29048306, "mmc_calc_max_discard" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x4274a82a, "mmc_get_card" },
	{ 0x77867c02, "mmc_can_erase" },
	{ 0x997df274, "mmc_card_alternative_gpt_sector" },
	{ 0xc7cd4391, "device_initialize" },
	{ 0xd1daeaf1, "blk_mq_unquiesce_queue" },
	{ 0x8e18fdb, "mmc_sanitize" },
	{ 0xbe64c65b, "blk_mq_quiesce_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xa76db8b9, "blk_queue_write_cache" },
	{ 0x78cd00f9, "mmc_erase_group_aligned" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x310438cd, "get_device" },
	{ 0x866025ce, "blk_mq_end_request" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x90305a1b, "__blk_mq_alloc_disk" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb09d44d7, "blk_mq_alloc_tag_set" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7ce1bda7, "put_disk" },
	{ 0xdf9e1ed6, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x6fed77f5, "__mmc_claim_host" },
	{ 0xf5d7bdd3, "mmc_start_request" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x9839e7b5, "blk_execute_rq" },
	{ 0x148cba09, "put_device" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mmc_core");


MODULE_INFO(srcversion, "1B9BFD7C3198CDD206F458A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
