#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4b7a5de5, "sdhci_start_signal_voltage_switch" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x383e9634, "sdhci_remove_host" },
	{ 0x9d6f1d2f, "sdhci_free_host" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0x66127b03, "sdhci_reset" },
	{ 0x2d226a3e, "sdhci_set_ios" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0x73174520, "acpi_device_hid" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3bcdeb8, "acpi_device_fix_up_power_extended" },
	{ 0x28e09af1, "iosf_mbi_available" },
	{ 0xe9737b56, "platform_get_resource" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7e649a1f, "__devm_request_region" },
	{ 0xe6e86092, "sdhci_alloc_host" },
	{ 0x146b6629, "platform_get_irq" },
	{ 0xf4070fcc, "devm_ioremap" },
	{ 0x37d472e7, "mmc_gpiod_request_cd" },
	{ 0xa1271969, "sdhci_setup_host" },
	{ 0x8db65259, "__sdhci_add_host" },
	{ 0xe95d20f4, "sdhci_cleanup_host" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0x9862823e, "mmc_gpiod_set_cd_config" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x45c392d1, "sdhci_set_clock" },
	{ 0xf46eb105, "sdhci_set_bus_width" },
	{ 0xf01f9a90, "sdhci_set_uhs_signaling" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7da62b4, "__platform_driver_register" },
	{ 0x66283031, "x86_match_cpu" },
	{ 0x86c7272b, "iosf_mbi_read" },
	{ 0x7a88da87, "iosf_mbi_write" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x46d25d96, "sdhci_runtime_resume_host" },
	{ 0xcb3f55f1, "sdhci_resume_host" },
	{ 0x1b7690, "__sdhci_read_caps" },
	{ 0xaed1d12f, "mmc_gpio_get_cd" },
	{ 0x74a71659, "sdhci_get_cd_nogpio" },
	{ 0xa492d5fd, "platform_driver_unregister" },
	{ 0xe5c2352c, "sdhci_execute_tuning" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x85c0b3d7, "sdhci_runtime_suspend_host" },
	{ 0x795b9399, "sdhci_suspend_host" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "sdhci,mmc_core");

MODULE_ALIAS("acpi*:80865ACA:*");
MODULE_ALIAS("acpi*:80865ACC:*");
MODULE_ALIAS("acpi*:80865AD0:*");
MODULE_ALIAS("acpi*:80860F14:*");
MODULE_ALIAS("acpi*:80860F16:*");
MODULE_ALIAS("acpi*:INT33BB:*");
MODULE_ALIAS("acpi*:INT33C6:*");
MODULE_ALIAS("acpi*:INT3436:*");
MODULE_ALIAS("acpi*:INT344D:*");
MODULE_ALIAS("acpi*:PNP0D40:*");
MODULE_ALIAS("acpi*:QCOM8051:*");
MODULE_ALIAS("acpi*:QCOM8052:*");
MODULE_ALIAS("acpi*:AMDI0040:*");
MODULE_ALIAS("acpi*:AMDI0041:*");

MODULE_INFO(srcversion, "459FAEC5183F2C8933CE4E4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
