#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2582212d, "pci_choose_state" },
	{ 0xc6b328d8, "pci_enable_wake" },
	{ 0x1d46433b, "pci_set_power_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7e0c129b, "pci_disable_msi" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbe567f56, "dma_alloc_attrs" },
	{ 0x574963de, "dma_free_attrs" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x6a639242, "pci_restore_state" },
	{ 0x354ae3e, "pci_enable_device" },
	{ 0x1032feb2, "pci_set_master" },
	{ 0x3b09abc2, "netif_device_attach" },
	{ 0x7cb8812a, "__netdev_alloc_skb" },
	{ 0x44d9bdff, "skb_put" },
	{ 0x48e49e40, "eth_type_trans" },
	{ 0xf573eb53, "netif_rx" },
	{ 0x3042effc, "netif_tx_wake_queue" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x9e2e29c2, "netif_carrier_on" },
	{ 0x2f2478ef, "dev_kfree_skb_any_reason" },
	{ 0x2ce0da51, "dma_set_mask" },
	{ 0x57a443ae, "dma_set_coherent_mask" },
	{ 0x6b4838ba, "pci_request_regions" },
	{ 0x6c38f9b5, "alloc_etherdev_mqs" },
	{ 0xde80cd09, "ioremap" },
	{ 0x47324c37, "pci_write_config_dword" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7dda383, "register_netdev" },
	{ 0x8010cd46, "param_array_ops" },
	{ 0x4578dfd1, "param_ops_int" },
	{ 0x34447a95, "eth_validate_addr" },
	{ 0x18789f1, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaa7851bb, "__pci_register_driver" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3a18c7a8, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6a86bc1, "iowrite16" },
	{ 0xf9a482f9, "msleep" },
	{ 0x92997ed8, "_printk" },
	{ 0xd67a5240, "pci_read_config_word" },
	{ 0x8b0039d6, "pci_write_config_word" },
	{ 0x848d372e, "iowrite8" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1d7fe60e, "netif_carrier_off" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x312b037, "unregister_netdev" },
	{ 0xedc03953, "iounmap" },
	{ 0xa5389242, "pci_release_regions" },
	{ 0x3a05de58, "free_netdev" },
	{ 0xfba3b786, "pci_disable_device" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x842c8e9d, "ioread16" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdeb908fc, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc31be401, "pci_unregister_driver" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc4697bfd, "netif_device_detach" },
	{ 0xf9c0a95f, "pci_save_state" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001969d00002048sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "EA0B927AEAE4113F19E8E3D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
