#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x162e1ad0, "wx_set_ring" },
	{ 0xf7370f56, "system_state" },
	{ 0xaa7851bb, "__pci_register_driver" },
	{ 0x8721c7e5, "wx_init_interrupt_scheme" },
	{ 0x3c6dc611, "wx_get_mac_stats" },
	{ 0xf4070fcc, "devm_ioremap" },
	{ 0xd2cccbea, "phy_attached_info" },
	{ 0x37a0cba, "kfree" },
	{ 0xfbf9b5a3, "wx_get_coalesce" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xf375695, "wx_mac_set_default_filter" },
	{ 0x34447a95, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1d46433b, "pci_set_power_state" },
	{ 0xe155ba8f, "wx_host_interface_command" },
	{ 0xa411e799, "wx_xmit_frame" },
	{ 0x7ab53472, "wx_get_sset_count" },
	{ 0x2acd92bf, "wx_misc_isb" },
	{ 0xb172ee7d, "wx_configure_vectors" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc31be401, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3a90cc87, "phylink_create" },
	{ 0x9f585f19, "wx_check_flash_load" },
	{ 0x1db58529, "wx_get_pcie_msix_counts" },
	{ 0x9ba5af41, "wx_vlan_rx_add_vid" },
	{ 0xdeb908fc, "dev_addr_mod" },
	{ 0x2065a927, "wx_stop_adapter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x50dcad3, "wx_get_pauseparam" },
	{ 0x96b35355, "wx_nway_reset" },
	{ 0xbcfdc8ea, "wx_update_stats" },
	{ 0xc4697bfd, "netif_device_detach" },
	{ 0xa6add045, "wx_clear_hw_cntrs" },
	{ 0x3b09abc2, "netif_device_attach" },
	{ 0x85a6637e, "pci_select_bars" },
	{ 0xcf50b782, "wx_sw_init" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xcf95f26c, "wx_disable_rx_queue" },
	{ 0xb9da52c2, "devm_alloc_etherdev_mqs" },
	{ 0x80302f7a, "device_wakeup_disable" },
	{ 0xb6435ca2, "wx_vlan_rx_kill_vid" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x2866450b, "wx_get_ringparam" },
	{ 0x2e53d2d, "wx_free_resources" },
	{ 0x5ad81f13, "wx_fix_features" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x547d640f, "wx_clean_all_tx_rings" },
	{ 0x34e37178, "netif_set_real_num_tx_queues" },
	{ 0xe5ef5378, "netif_set_real_num_rx_queues" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x2cb7ec, "wx_phy_read_reg_mdi_c22" },
	{ 0x7dda383, "register_netdev" },
	{ 0x3751c9f, "wx_irq_disable" },
	{ 0x8f4f4e08, "wx_phy_read_reg_mdi_c45" },
	{ 0xf9a8b604, "wx_set_coalesce" },
	{ 0xa601212f, "wx_napi_enable_all" },
	{ 0xcc6314ff, "wx_configure_rx" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18789f1, "ethtool_op_get_link" },
	{ 0x109b5ecf, "wx_napi_disable_all" },
	{ 0x73f9a794, "netif_tx_stop_all_queues" },
	{ 0x5767c35, "phy_find_first" },
	{ 0x65678709, "wx_read_ee_hostif" },
	{ 0x6a1861dc, "wx_get_drvinfo" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x1032feb2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb39f9160, "wx_init_eeprom_params" },
	{ 0x5d249626, "wx_setup_resources" },
	{ 0x187faa60, "wx_reset_interrupt_capability" },
	{ 0x5d8a792c, "wx_phy_write_reg_mdi_c22" },
	{ 0xfab44383, "devm_mdiobus_alloc_size" },
	{ 0xcfea5f8a, "wx_get_ethtool_stats" },
	{ 0xddde8a27, "wx_init_rx_addrs" },
	{ 0x57a443ae, "dma_set_coherent_mask" },
	{ 0x3ca28211, "wx_get_channels" },
	{ 0x3312790a, "netdev_reset_tc" },
	{ 0xbe6521a9, "wx_configure" },
	{ 0x2e0ec039, "wx_intr_enable" },
	{ 0xf22b563e, "wx_change_mtu" },
	{ 0xb5d34b26, "wx_get_link_ksettings" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaca111bd, "netdev_set_num_tc" },
	{ 0x17fa1745, "wx_get_mac_addr" },
	{ 0xd462fa8a, "wx_get_pause_stats" },
	{ 0xf06f52ac, "wx_get_stats64" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfba3b786, "pci_disable_device" },
	{ 0x75748a0d, "wx_get_msglevel" },
	{ 0x4d8b00e2, "__devm_mdiobus_register" },
	{ 0x2ce0da51, "dma_set_mask" },
	{ 0x8b1cdeb1, "wx_set_channels" },
	{ 0x129b3f05, "wx_set_mac" },
	{ 0x5764bd72, "wx_phy_write_reg_mdi_c45" },
	{ 0xe0f64e1f, "wx_set_rx_mode" },
	{ 0x7e7d6876, "__napi_schedule_irqoff" },
	{ 0x939f9aa7, "napi_schedule_prep" },
	{ 0x345ced58, "wx_mng_present" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x74c648d0, "wx_get_strings" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x31becce9, "wx_fc_enable" },
	{ 0x2c394307, "wx_clear_interrupt_scheme" },
	{ 0x739321d6, "wx_disable_rx" },
	{ 0x4b3398bd, "wx_msix_clean_rings" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfd388d98, "phylink_connect_phy" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xec989360, "device_set_wakeup_enable" },
	{ 0xa01a4c65, "wx_clean_all_rx_rings" },
	{ 0x198a59cb, "wx_set_msglevel" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x96066051, "wx_control_hw" },
	{ 0xc2ab759e, "wx_reset_misc" },
	{ 0xbcae3762, "pci_request_selected_regions" },
	{ 0xd1dc7e97, "pci_release_selected_regions" },
	{ 0x9874cb44, "pci_wake_from_d3" },
	{ 0x90115a2c, "wx_free_irq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xc41867b9, "wx_free_isb_resources" },
	{ 0xa80585d4, "pci_enable_device_mem" },
	{ 0x283a11b, "wx_set_pauseparam" },
	{ 0x174b6d96, "wx_set_features" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x312b037, "unregister_netdev" },
	{ 0x1b071269, "wx_set_link_ksettings" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "libwx,libphy,phylink,mdio_devres");

MODULE_ALIAS("pci:v00008088d00000100sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000101sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000102sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000103sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000104sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000105sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000106sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000107sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000108sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d00000109sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d0000010Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008088d0000010Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "59F60707152F4150576C3B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
