#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x68e5f45a, "mdio_i2c_alloc" },
	{ 0xf025810e, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x201ae210, "__devm_add_action" },
	{ 0xb69238aa, "device_get_match_data" },
	{ 0x99ea9382, "__dev_fwnode" },
	{ 0x920bf97a, "fwnode_find_reference" },
	{ 0x93e4231a, "i2c_get_adapter_by_fwnode" },
	{ 0x44447c61, "fwnode_handle_put" },
	{ 0xa83d481c, "devm_gpiod_get_optional" },
	{ 0x1919ce67, "device_property_read_u32_array" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xfb34a2c3, "sfp_register_socket" },
	{ 0x581921cf, "gpiod_to_irq" },
	{ 0x2154e269, "debugfs_create_dir" },
	{ 0xf310191e, "debugfs_create_file" },
	{ 0x9e344dac, "devm_kasprintf" },
	{ 0xba606a65, "devm_request_threaded_irq" },
	{ 0x68b286a9, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0x1eda8413, "seq_lseek" },
	{ 0x26ccd346, "seq_read" },
	{ 0xc63b2c6f, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7da62b4, "__platform_driver_register" },
	{ 0x42ff28f8, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf83ca1e1, "get_phy_device" },
	{ 0x64aeb7f4, "phy_device_register" },
	{ 0x9b3e655b, "sfp_add_phy" },
	{ 0xcc1b0144, "phy_device_remove" },
	{ 0x6f0e1cd2, "phy_device_free" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0xc5c765db, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x540b9e0, "gpiod_direction_input" },
	{ 0xb083f558, "gpiod_direction_output" },
	{ 0x3f3a7f0b, "mdiobus_unregister" },
	{ 0xfc003ca0, "mdiobus_free" },
	{ 0xc848468a, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0x6e9dc97f, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0x531dce1c, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x204949a7, "single_open" },
	{ 0x561751cb, "seq_printf" },
	{ 0xa492d5fd, "platform_driver_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x96d337c6, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "D3FCBCCFFAB6A5B05576AF3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
