#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xc49fba6b, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xebb2e448, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xfacbb365, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0xf7d6dcb5, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x01dd65c8, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0xf010709b, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x43075ab6, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0x0ab2a4cb, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x3060a3ef, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x72677e20, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x08693d82, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xe49e4273, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x57409108, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xf9fc5aa2, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x152ec084, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xd8dd3175, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x801da02a, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x57e76780, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x391f14e1, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xc870e2da, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0xbd4b25ad, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x7ed6dbe1, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x16ee7655, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xe29e7612, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xc94e47ed, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x97850288, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xf74efd2f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x90477015, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xa27c14e6, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x0e452cbd, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x52f9e749, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xac5811b6, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x875bb52a, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x86313d8d, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x1aad5be1, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x332f908b, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x0ba72041, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x9e2a4ee4, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x7723388b, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xba7b1ea2, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x64cc9f55, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xf0d64aed, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x0a4f7470, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x4fa5034e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x056271ab, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x0a76592a, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x41853c96, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xf5088cd1, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x15e80d96, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x1c49137d, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xba37885a, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x83ee9d54, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x999fc03d, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x649ae886, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x55c3f186, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x888f4c07, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xd8a37171, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xbc6f33c1, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xf1b6279b, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0x5c077fd0, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0x318c9699, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x3ca0aa81, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x20f0916c, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xe432c24a, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x4ead2e2e, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x60f7c39d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x404d3741, "mt76_csa_check" },
	{ 0x9a7cbdc2, "mt76_tx_status_skb_add" },
	{ 0x789f6dec, "__tracepoint_mac_txdone" },
	{ 0x63d5316d, "mt76_tx_check_agg_ssn" },
	{ 0xe294ce3f, "ieee80211_tx_status_ext" },
	{ 0xa0239d5a, "mt76_stop_tx_queues" },
	{ 0x3b1af6b4, "___pskb_trim" },
	{ 0x18312391, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xad7b8f1e, "__mt76_tx_complete_skb" },
	{ 0x278230db, "pcpu_hot" },
	{ 0x1eda8413, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd399a8d9, "ieee80211_restart_hw" },
	{ 0x213233c5, "bpf_trace_run2" },
	{ 0x38d90296, "ieee80211_get_hdrlen_from_skb" },
	{ 0xdd4390f, "kthread_park" },
	{ 0x2fe99b46, "mt76_mcu_rx_event" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd4e324c4, "mt76_wcid_init" },
	{ 0xf973e949, "mt76_tx_status_check" },
	{ 0xe2c11986, "wake_up_process" },
	{ 0x49864559, "trace_event_buffer_commit" },
	{ 0xaa3ff34f, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd4b7a39d, "napi_complete_done" },
	{ 0x19d2189b, "ieee80211_get_tx_rates" },
	{ 0xb5c6b648, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6b9bd557, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xa93a2737, "mt76_tx" },
	{ 0x617e5986, "__napi_schedule" },
	{ 0x4836630e, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbb7785e3, "mt76_wcid_key_setup" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7c0c9a41, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x57312c87, "kthread_unpark" },
	{ 0x351defce, "mt76_phy_dfs_state" },
	{ 0xfa027540, "wiphy_to_ieee80211_hw" },
	{ 0x1c990728, "mt76_init_queue" },
	{ 0x88b94f82, "debugfs_attr_read" },
	{ 0xa8b837cd, "__mt76_sta_remove" },
	{ 0x5b0afeda, "mt76_tx_status_skb_done" },
	{ 0xecc57991, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2ef7b073, "perf_trace_run_bpf_submit" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x92f9ed40, "debugfs_create_bool" },
	{ 0xa925e119, "skb_pull" },
	{ 0x291ae0cc, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x892bfe72, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46cd9330, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x72e7a3ea, "napi_enable" },
	{ 0x8240df21, "trace_event_reg" },
	{ 0xfd38688f, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x1477806c, "ieee80211_wake_queues" },
	{ 0x49f862d6, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x5a11918, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0x93cb7579, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd2bd4a9d, "mt76_set_irq_mask" },
	{ 0xb526332d, "bpf_trace_run1" },
	{ 0xce0d5d6c, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf610cd25, "debugfs_create_u32" },
	{ 0xb70e1ee6, "__SCK__tp_func_mac_txdone" },
	{ 0x16336d44, "mt76_seq_puts_array" },
	{ 0xf252799a, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x286d72c1, "__tracepoint_dev_irq" },
	{ 0x26ccd346, "seq_read" },
	{ 0x76637901, "mt76_mcu_get_response" },
	{ 0xf310191e, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x6e538fb3, "trace_event_buffer_reserve" },
	{ 0xbd887dcf, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7909b3c6, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x36d40f95, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xd2c095ef, "____mt76_poll_msec" },
	{ 0x561751cb, "seq_printf" },
	{ 0xc0cc30f9, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xad97bc44, "mt76_wcid_cleanup" },
	{ 0x1be8b942, "seq_puts" },
	{ 0xa7143819, "ieee80211_radar_detected" },
	{ 0xc63b2c6f, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2b508b3d, "mt76_queues_read" },
	{ 0x81484dc1, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x939f9aa7, "napi_schedule_prep" },
	{ 0xa3d025e7, "napi_disable" },
	{ 0x2f2478ef, "dev_kfree_skb_any_reason" },
	{ 0x22c93f0d, "__mt76_poll" },
	{ 0x27f222ce, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe5364758, "debugfs_create_u8" },
	{ 0x204949a7, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb676a889, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0x93b8eeb2, "mt76_dma_rx_poll" },
	{ 0x3b6fb05d, "mt76_tx_status_unlock" },
	{ 0x130e2b5, "simple_attr_open" },
	{ 0x7b8c55fd, "debugfs_attr_write" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x58716875, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xbac5ddf, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6957bf, "mt76_tx_status_skb_get" },
	{ 0x45fe1b0a, "trace_raw_output_prep" },
	{ 0x475de33e, "mt76_tx_status_lock" },
	{ 0x4db525d8, "skb_dequeue" },
	{ 0x19133baf, "__trace_trigger_soft_disabled" },
	{ 0xc82fbfa6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "7C308673CF1DB0A8767DA94");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
