#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x32de7b4f, "kmem_cache_create" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xb4df566f, "usb_deregister_device_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xe2c11986, "wake_up_process" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xac516316, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0xaf0d1ffb, "usb_put_dev" },
	{ 0x550c2e2e, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x94e10a06, "usbip_recv" },
	{ 0xa916b694, "strnlen" },
	{ 0x7314dc29, "driver_create_file" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x7c2ad1ca, "usb_get_dev" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0x58c90639, "usbip_dump_urb" },
	{ 0x7d25a8e0, "kmem_cache_alloc" },
	{ 0x5e868e89, "usb_submit_urb" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c7e0a7e, "kthread_stop_put" },
	{ 0x730f982e, "usbip_recv_iso" },
	{ 0xaf16f480, "fput" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x4a1b5847, "dev_attr_usbip_debug" },
	{ 0xdbd2ce38, "usbip_stop_eh" },
	{ 0x113b9c96, "device_attach" },
	{ 0x1fbf9723, "kernel_sock_shutdown" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x503f5c9c, "kmem_cache_free" },
	{ 0x883fba97, "usb_register_device_driver" },
	{ 0x5a921311, "strncmp" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xf01ec426, "usb_set_interface" },
	{ 0x215fd9a2, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x18432b97, "usb_lock_device_for_reset" },
	{ 0x47b79785, "usbip_in_eh" },
	{ 0xe1ea0586, "usbip_dump_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x33a4343a, "usbip_event_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0xeaecae5e, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3b5d3469, "usb_hub_claim_port" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x32b3075a, "usb_kill_urb" },
	{ 0xbb8d74ff, "usbip_alloc_iso_desc_pdu" },
	{ 0x6e37d9bb, "usb_set_configuration" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x80f324b0, "sockfd_lookup" },
	{ 0x4d1c24cb, "kernel_sendmsg" },
	{ 0xd02753dc, "usbip_header_correct_endian" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x96a88d70, "usbip_event_happened" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xdf66d270, "kmem_cache_destroy" },
	{ 0xeaa7bf15, "usb_alloc_urb" },
	{ 0x3aabb5e1, "usbip_pack_pdu" },
	{ 0x7e65f454, "usb_free_urb" },
	{ 0x8dd341cb, "usbip_start_eh" },
	{ 0x4754d239, "driver_remove_file" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x78b72f44, "usbip_debug_flag" },
	{ 0x6aa7b01b, "usb_hub_release_port" },
	{ 0x20aedbbe, "usbip_recv_xbuff" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbip-core");


MODULE_INFO(srcversion, "4F69A8F290447FC0236A6C5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
