#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x54077454, "virtio_transport_stream_has_data" },
	{ 0x4be21678, "vhost_vq_access_ok" },
	{ 0xc83e730d, "vhost_dev_stop" },
	{ 0x5a1fd302, "vhost_dev_init" },
	{ 0xb8482c0d, "virtio_transport_stream_rcvhiwat" },
	{ 0x37a0cba, "kfree" },
	{ 0xa93be180, "iov_iter_init" },
	{ 0x3d9915e4, "virtio_transport_dgram_bind" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x499a1c6f, "sk_error_report" },
	{ 0x96882629, "virtio_transport_notify_recv_pre_block" },
	{ 0x98dc1f82, "vhost_vq_init_access" },
	{ 0xa909cfc5, "vhost_work_init" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x8f78a36c, "virtio_transport_dgram_enqueue" },
	{ 0x4a2742c2, "vhost_vq_work_queue" },
	{ 0x34eb815a, "virtio_transport_shutdown" },
	{ 0x1b8ba7bb, "vhost_exceeds_weight" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xdc4088a4, "virtio_transport_notify_send_post_enqueue" },
	{ 0x2f53b5f9, "virtio_transport_dgram_dequeue" },
	{ 0x776f4fcb, "vhost_poll_queue" },
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0x3a81e69, "virtio_transport_stream_allow" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfe50ef91, "compat_ptr_ioctl" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x44facd99, "virtio_transport_notify_send_init" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3f6870b4, "vhost_chr_write_iter" },
	{ 0x3c9f399a, "noop_llseek" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x1f54c8b2, "virtio_transport_notify_send_pre_enqueue" },
	{ 0x259fdb26, "virtio_transport_seqpacket_dequeue" },
	{ 0xfeb4bb20, "vhost_get_vq_desc" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9cfc3b2c, "virtio_transport_seqpacket_enqueue" },
	{ 0x21cdd7a9, "virtio_transport_seqpacket_has_data" },
	{ 0x82f88e6c, "virtio_transport_notify_recv_pre_dequeue" },
	{ 0x652aa1f9, "virtio_transport_stream_enqueue" },
	{ 0xfced0aa4, "vhost_chr_read_iter" },
	{ 0xa669a7bb, "virtio_transport_stream_dequeue" },
	{ 0x1b45e075, "vsock_core_unregister" },
	{ 0xbd075954, "skb_copy_datagram_iter" },
	{ 0x508ae0f1, "vsock_core_register" },
	{ 0xd18d328e, "vhost_dev_ioctl" },
	{ 0x473880e9, "vhost_signal" },
	{ 0x3e085fd2, "misc_register" },
	{ 0xc02c482e, "vhost_disable_notify" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb97082a7, "virtio_transport_notify_poll_out" },
	{ 0x7075cd1b, "virtio_transport_notify_recv_post_dequeue" },
	{ 0xbabd30f5, "virtio_transport_dgram_allow" },
	{ 0x46fee2b2, "vhost_set_backend_features" },
	{ 0x2bf6aaf9, "vhost_enable_notify" },
	{ 0x74dbd163, "virtio_transport_deliver_tap_pkt" },
	{ 0xf4b5b8f4, "vhost_log_access_ok" },
	{ 0xdc7e7239, "virtio_transport_read_skb" },
	{ 0xf5feb247, "vhost_dev_cleanup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xe61059bf, "virtio_transport_stream_is_active" },
	{ 0xd973ab9b, "virtio_transport_do_socket_init" },
	{ 0x8837aaf9, "vhost_chr_poll" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf8e0a540, "virtio_transport_notify_poll_in" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4ffdc778, "_copy_from_iter" },
	{ 0x4359dc3b, "virtio_transport_stream_has_space" },
	{ 0x986348, "virtio_transport_notify_send_pre_block" },
	{ 0x187807d8, "vq_meta_prefetch" },
	{ 0x368b37d7, "vhost_dev_check_owner" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x2a74f384, "virtio_transport_notify_buffer_size" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc10e997, "eventfd_signal_mask" },
	{ 0x6fa2f032, "virtio_transport_destruct" },
	{ 0x24bee0c7, "virtio_transport_recv_pkt" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xb922a736, "vhost_add_used" },
	{ 0x7ca741ef, "virtio_transport_purge_skbs" },
	{ 0xafe8f135, "virtio_transport_notify_recv_init" },
	{ 0x245ca0e0, "vhost_init_device_iotlb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3915bf61, "virtio_transport_release" },
	{ 0x55b3891d, "_copy_to_iter" },
	{ 0x2052e60b, "misc_deregister" },
	{ 0x90aa8549, "vsock_find_cid" },
	{ 0x809a1125, "vhost_vring_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x44d9bdff, "skb_put" },
	{ 0xfb3c93e, "vsock_for_each_connected_socket" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7e355736, "vhost_dev_flush" },
	{ 0x58716875, "consume_skb" },
	{ 0x27c516b9, "virtio_transport_connect" },
	{ 0x414ec3a8, "virtio_transport_notify_set_rcvlowat" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "vmw_vsock_virtio_transport_common,vhost,vsock");


MODULE_INFO(srcversion, "56FD99CEA3A7C91AD6E3FE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
