#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u128_div, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_stddev, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_update, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_stddev, "_gpl", "");
KSYMTAB_FUNC(six_trylock_ip, "_gpl", "");
KSYMTAB_FUNC(six_relock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_ip_waiter, "_gpl", "");
KSYMTAB_FUNC(six_unlock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_downgrade, "_gpl", "");
KSYMTAB_FUNC(six_lock_tryupgrade, "_gpl", "");
KSYMTAB_FUNC(six_trylock_convert, "_gpl", "");
KSYMTAB_FUNC(six_lock_increment, "_gpl", "");
KSYMTAB_FUNC(six_lock_wakeup_all, "_gpl", "");
KSYMTAB_FUNC(six_lock_counts, "_gpl", "");
KSYMTAB_FUNC(six_lock_readers_add, "_gpl", "");
KSYMTAB_FUNC(six_lock_exit, "_gpl", "");
KSYMTAB_FUNC(__six_lock_init, "_gpl", "");
KSYMTAB_FUNC(bch2_run_thread_with_stdout, "_gpl", "");

SYMBOL_CRC(u128_div, 0x04ee0c04, "_gpl");
SYMBOL_CRC(mean_and_variance_get_mean, 0x375cbd1b, "_gpl");
SYMBOL_CRC(mean_and_variance_get_variance, 0xebc0f0d5, "_gpl");
SYMBOL_CRC(mean_and_variance_get_stddev, 0xb9817da6, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_update, 0xb91715f2, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_mean, 0xb3fd2cf8, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_variance, 0x3c42b603, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_stddev, 0xc436648c, "_gpl");
SYMBOL_CRC(six_trylock_ip, 0x3be727d3, "_gpl");
SYMBOL_CRC(six_relock_ip, 0x457731a6, "_gpl");
SYMBOL_CRC(six_lock_ip_waiter, 0xe51c4316, "_gpl");
SYMBOL_CRC(six_unlock_ip, 0x9873a684, "_gpl");
SYMBOL_CRC(six_lock_downgrade, 0xfbcf54d1, "_gpl");
SYMBOL_CRC(six_lock_tryupgrade, 0x59eac999, "_gpl");
SYMBOL_CRC(six_trylock_convert, 0x903e523c, "_gpl");
SYMBOL_CRC(six_lock_increment, 0x52a618f0, "_gpl");
SYMBOL_CRC(six_lock_wakeup_all, 0xb802f175, "_gpl");
SYMBOL_CRC(six_lock_counts, 0xa9b94092, "_gpl");
SYMBOL_CRC(six_lock_readers_add, 0x2fcad771, "_gpl");
SYMBOL_CRC(six_lock_exit, 0x6a6cf6d3, "_gpl");
SYMBOL_CRC(__six_lock_init, 0x300eee3f, "_gpl");
SYMBOL_CRC(bch2_run_thread_with_stdout, 0xa066bea4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a137def, "bio_add_page" },
	{ 0xca1e0ae6, "crypto_shash_update" },
	{ 0x57c5fc17, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb294800b, "folio_wait_stable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x8d8158bb, "cleanup_srcu_struct" },
	{ 0x426543ab, "__audit_inode_child" },
	{ 0xa66fe832, "d_obtain_alias" },
	{ 0x1548e115, "file_modified" },
	{ 0x215fd9a2, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x42606d48, "bio_check_pages_dirty" },
	{ 0xcf191255, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x32b6f9d5, "freezing_slow_path" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6b0ccace, "__folio_start_writeback" },
	{ 0x2b0d0b79, "bio_set_pages_dirty" },
	{ 0xb526332d, "bpf_trace_run1" },
	{ 0x6ba5d121, "bpf_trace_run9" },
	{ 0x9994c9f8, "security_path_mkdir" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0xe77b54f7, "folio_end_writeback" },
	{ 0xe5c7ded3, "sync_inodes_sb" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xbbee1ac0, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcc6b05c6, "bio_init" },
	{ 0x8b5bb20f, "__SCT__tp_func_contention_begin" },
	{ 0x6f4a59e4, "sort_r" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x3300c13f, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x46c5dca, "generic_remap_file_range_prep" },
	{ 0xa84b15d, "zstd_init_cctx" },
	{ 0xe21f18ac, "__genradix_iter_peek" },
	{ 0xa37c7b79, "inode_owner_or_capable" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xa5ccd749, "__get_task_comm" },
	{ 0xe51a2d01, "bio_reset" },
	{ 0x4ad14d61, "file_remove_privs_flags" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x2446876c, "filemap_get_folios" },
	{ 0xc631580a, "console_unlock" },
	{ 0xd37231d7, "make_kgid" },
	{ 0x1b260ca2, "mempool_kvmalloc" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x4aee8dfa, "d_delete" },
	{ 0xbd3028d9, "crypto_alloc_sync_skcipher" },
	{ 0x50028de, "bpf_trace_run10" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x1f982343, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x69105181, "nonseekable_open" },
	{ 0x9a27ba7b, "bio_free_pages" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x354d091b, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xff66fe9d, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x33736a1d, "__genradix_ptr_alloc" },
	{ 0x8522d6bc, "strncpy_from_user" },
	{ 0x8c30bf67, "zstd_dctx_workspace_bound" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x572128b7, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xf310191e, "debugfs_create_file" },
	{ 0x6155121, "super_setup_bdi" },
	{ 0x57474d67, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xe2f507f3, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x9f4b76c7, "kobject_del" },
	{ 0x6e538fb3, "trace_event_buffer_reserve" },
	{ 0x180a34d7, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9b2e4f34, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xc2ebe620, "bio_copy_data_iter" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x9dc70fb0, "bioset_init" },
	{ 0xf67c81b7, "init_user_ns" },
	{ 0x218aad1b, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9b051bf6, "alloc_pages" },
	{ 0x45ef289a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x480ff060, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xeaf0c0c7, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa186b81e, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe3f07600, "deactivate_locked_super" },
	{ 0x237a109, "touch_atime" },
	{ 0x1fbe0019, "__percpu_down_read" },
	{ 0xeda83401, "__srcu_read_unlock" },
	{ 0x658ce1a8, "xxh64_reset" },
	{ 0x2a181b9b, "blk_status_to_str" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd8ef88e3, "posix_acl_update_mode" },
	{ 0x6a6f937f, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xd33c2110, "__folio_lock" },
	{ 0xe8eeb02, "filemap_dirty_folio" },
	{ 0xdf260eeb, "is_bad_inode" },
	{ 0x1be8b942, "seq_puts" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x854e9cde, "rcuwait_wake_up" },
	{ 0xcc20e5bd, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xfd80e3f3, "filemap_splice_read" },
	{ 0xdf941976, "kthread_unuse_mm" },
	{ 0xbb192d28, "done_path_create" },
	{ 0xbe6a8c96, "zstd_cctx_workspace_bound" },
	{ 0x86ad08b8, "key_type_user" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x81188c30, "match_string" },
	{ 0xef7424a7, "filemap_write_and_wait_range" },
	{ 0x9a88d05c, "__SCT__tp_func_contention_end" },
	{ 0x41194c46, "generic_file_llseek_size" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x3f0eabd2, "xxh64_update" },
	{ 0x5c0d69ec, "iov_iter_revert" },
	{ 0x548f9725, "generic_write_checks" },
	{ 0x5dfec008, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9e84850b, "user_path_at_empty" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xced75283, "filemap_fault" },
	{ 0x94f379bf, "crypto_alloc_shash" },
	{ 0x2154e269, "debugfs_create_dir" },
	{ 0x16d7d2d8, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb2e509a9, "make_bad_inode" },
	{ 0x10a4b75f, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xceab0311, "strchrnul" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8e8d7491, "iov_iter_npages" },
	{ 0xf2628676, "zstd_compress_cctx" },
	{ 0x1a69b97e, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xdf4f580a, "fault_in_iov_iter_readable" },
	{ 0x5f09adac, "__tracepoint_contention_begin" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x368c83c9, "start_poll_synchronize_srcu" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x5bdddef3, "fs_bio_set" },
	{ 0xdf66d270, "kmem_cache_destroy" },
	{ 0x4d022f1a, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x79b5a790, "kset_create_and_add" },
	{ 0x7bfbabb0, "blkdev_issue_discard" },
	{ 0xcd99cfb6, "kobject_put" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x99f83c31, "crypto_skcipher_encrypt" },
	{ 0xceb4aa8e, "__bio_release_pages" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xe4738418, "generic_shutdown_super" },
	{ 0x919215ee, "bio_associate_blkg" },
	{ 0xb2e24c5d, "percpu_free_rwsem" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x98cc37b7, "vfs_fsync_range" },
	{ 0x6569bf00, "setattr_prepare" },
	{ 0x147643a2, "filemap_migrate_folio" },
	{ 0x47e20ccd, "bdev_file_open_by_path" },
	{ 0x2279abc9, "shrinker_alloc" },
	{ 0x512a332, "try_module_get" },
	{ 0x206a600e, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x4149b978, "d_instantiate" },
	{ 0x4f1bddf6, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1045dede, "clear_inode" },
	{ 0x5c13dfe0, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xfd4e597e, "stack_trace_save_tsk" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x3d6831bc, "mempool_kvfree" },
	{ 0xef5ca914, "param_ops_uint" },
	{ 0x573d2cd5, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc760f07, "bio_copy_data" },
	{ 0x419f54ae, "sysfs_create_file_ns" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0xf3e1a96b, "__folio_batch_release" },
	{ 0x55f651ba, "folio_unlock" },
	{ 0xb5d612dd, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0x22c00076, "inode_insert5" },
	{ 0x53738051, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xcddec6f5, "user_path_create" },
	{ 0xc0364007, "fault_in_writeable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xe4283264, "filemap_map_pages" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x45fe1b0a, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0xf042ae6c, "user_path_locked_at" },
	{ 0x760cceb5, "init_special_inode" },
	{ 0x5488ab2e, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc104ddbb, "bpf_trace_run6" },
	{ 0xda8e9374, "iov_iter_single_seg_count" },
	{ 0x81549c72, "device_unregister" },
	{ 0x7a98f4b4, "copy_from_user_nofault" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x7608710, "generic_error_remove_folio" },
	{ 0x19133baf, "__trace_trigger_soft_disabled" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0x447c2a61, "nop_posix_acl_access" },
	{ 0xb126cd4d, "nop_posix_acl_default" },
	{ 0x2ed9bb10, "d_make_root" },
	{ 0x3cddba40, "class_destroy" },
	{ 0xc82fbfa6, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb4f1c7c6, "__put_task_struct" },
	{ 0xbfc97bdc, "up" },
	{ 0x5b657133, "mempool_init" },
	{ 0x9016047c, "closure_wait" },
	{ 0xa6d6daf, "kobject_init" },
	{ 0x56fe1620, "sysctl_hung_task_timeout_secs" },
	{ 0xd62e8c17, "fsnotify" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3e5fd275, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x86c6aa62, "fd_install" },
	{ 0x1672c2e0, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0x18312391, "trace_event_raw_init" },
	{ 0x6968370f, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b932d50, "ihold" },
	{ 0x9150e365, "page_get_link" },
	{ 0x39944fb5, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x7aa00dbf, "truncate_pagecache_range" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x8e5d27f7, "invalidate_inode_pages2_range" },
	{ 0xd658d593, "finish_open" },
	{ 0x66b601d7, "iput" },
	{ 0xf7f82b5, "kset_unregister" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x9f178e25, "iter_file_splice_write" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0x213233c5, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8669801e, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xb2d74c01, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x2c098062, "register_filesystem" },
	{ 0x32de7b4f, "kmem_cache_create" },
	{ 0x43f33e65, "__tracepoint_contention_end" },
	{ 0x96f3c36a, "bdev_thaw" },
	{ 0xab15e818, "sync_inode_metadata" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xd92feb60, "filemap_add_folio" },
	{ 0x1f91a4f3, "path_put" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0x5c2b1d18, "kthread_use_mm" },
	{ 0x4277ed38, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe49172e6, "bio_iov_iter_get_pages" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x872be429, "d_prune_aliases" },
	{ 0xe2c11986, "wake_up_process" },
	{ 0xe9c44ea3, "shrinker_free" },
	{ 0x49864559, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x19a630bc, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d7d53c8, "errname" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x78bdfe1c, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0xdae59650, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x1faac937, "lock_two_nondirectories" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x68e74eba, "mnt_want_write_file" },
	{ 0x8161e24a, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xc6a62c2d, "make_kprojid" },
	{ 0x1073a324, "__genradix_iter_peek_prev" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x41562d35, "__SCK__tp_func_contention_end" },
	{ 0xe8db5088, "filemap_alloc_folio" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x610cb383, "__SCK__tp_func_contention_begin" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0x28fd8fdf, "make_kuid" },
	{ 0x67ab2657, "truncate_inode_pages_final" },
	{ 0xbdfb8c7, "fs_kobj" },
	{ 0xf96b1bf7, "bio_add_folio" },
	{ 0x4613a61d, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0xe35d0fd3, "shrinker_register" },
	{ 0x52f4e3b, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xdec08484, "__free_pages" },
	{ 0x49816152, "poll_state_synchronize_srcu" },
	{ 0x7d25a8e0, "kmem_cache_alloc" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x8b848f3c, "blk_finish_plug" },
	{ 0x5a1ef06a, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb0498447, "submit_bio" },
	{ 0x24fdbbee, "mnt_drop_write_file" },
	{ 0x4eabd331, "module_put" },
	{ 0xa054c41c, "__destroy_inode" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x848b173f, "sysfs_create_link" },
	{ 0x6d4cbbb2, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x58c11075, "inode_init_once" },
	{ 0x3535e337, "bioset_exit" },
	{ 0xbc0c3bf8, "file_write_and_wait_range" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x56fe846e, "bit_waitqueue" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x8e3e0f7d, "fault_in_readable" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xca1648d4, "zstd_decompress_dctx" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x1c78fd4b, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0x1494f15c, "bio_put" },
	{ 0x778f80ce, "percpu_up_write" },
	{ 0xc373bc88, "bio_endio" },
	{ 0xfd41a1b4, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x748dea0c, "posix_acl_create" },
	{ 0xc8c091a7, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x31061c93, "init_srcu_struct" },
	{ 0x2ef7b073, "perf_trace_run_bpf_submit" },
	{ 0xa80dafb1, "__bio_advance" },
	{ 0xb7d14ec7, "down_write" },
	{ 0x1b293350, "kobject_add" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xce682c14, "generic_file_read_iter" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x8aed2c47, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x6690ba33, "set_cached_acl" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0xf9cd66f5, "truncate_pagecache" },
	{ 0x398547bd, "__srcu_read_lock" },
	{ 0x82b7224f, "d_mark_tmpfile" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x14525242, "unlock_two_nondirectories" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xeaf71596, "device_create" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xd9a162ba, "closure_put" },
	{ 0x26251e26, "page_symlink" },
	{ 0x165aca94, "bpf_trace_run5" },
	{ 0x6227684f, "class_create" },
	{ 0xde90c3b9, "bdev_fput" },
	{ 0x5bc92e85, "LZ4_compress_destSize" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2e80c4e0, "write_cache_pages" },
	{ 0x2ddceeee, "file_update_time" },
	{ 0x5ed0ec3, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x503f5c9c, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x68b286a9, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xdf12c9b5, "seq_putc" },
	{ 0x7e06e667, "ilookup5_nowait" },
	{ 0x4ddef5b5, "bio_kmalloc" },
	{ 0x2bf25c57, "from_kgid" },
	{ 0x3ae34aeb, "zstd_init_dctx" },
	{ 0x8240df21, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x19b79a54, "folio_mkclean" },
	{ 0x80b1eb09, "crypto_shash_digest" },
	{ 0xddf86133, "LZ4_compress_HC" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe32ab4d8, "xxh64_digest" },
	{ 0xebf51e99, "bdev_freeze" },
	{ 0x58c59547, "wait_for_completion_interruptible" },
	{ 0x4e2d6c95, "blkdev_issue_zeroout" },
	{ 0x6095ea9d, "file_remove_privs" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x222ed661, "vmap" },
	{ 0x4dd91eb8, "sget" },
	{ 0x453ad661, "zero_fill_bio_iter" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "xor,raid6_pq,libcrc32c,lz4_compress,lz4hc_compress");


MODULE_INFO(srcversion, "43E30A535AED29F5DC40D05");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
