#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ax25_bcast, "_gpl", "");
KSYMTAB_DATA(ax25_defaddr, "_gpl", "");
KSYMTAB_DATA(null_ax25_address, "", "");
KSYMTAB_FUNC(ax2asc, "", "");
KSYMTAB_FUNC(asc2ax, "", "");
KSYMTAB_FUNC(ax25cmp, "", "");
KSYMTAB_FUNC(ax25_register_pid, "_gpl", "");
KSYMTAB_FUNC(ax25_protocol_release, "", "");
KSYMTAB_FUNC(ax25_linkfail_register, "", "");
KSYMTAB_FUNC(ax25_linkfail_release, "", "");
KSYMTAB_FUNC(ax25_listen_register, "", "");
KSYMTAB_FUNC(ax25_listen_release, "", "");
KSYMTAB_DATA(ax25_header_ops, "", "");
KSYMTAB_FUNC(ax25_ip_xmit, "", "");
KSYMTAB_FUNC(ax25_send_frame, "", "");
KSYMTAB_FUNC(ax25_display_timer, "", "");
KSYMTAB_DATA(ax25_uid_policy, "", "");
KSYMTAB_FUNC(ax25_findbyuid, "", "");
KSYMTAB_FUNC(ax25_find_cb, "", "");

SYMBOL_CRC(ax25_bcast, 0xac93ae05, "_gpl");
SYMBOL_CRC(ax25_defaddr, 0xaeb7451e, "_gpl");
SYMBOL_CRC(null_ax25_address, 0xd43ecbf1, "");
SYMBOL_CRC(ax2asc, 0x53dea1ff, "");
SYMBOL_CRC(asc2ax, 0x4502c65a, "");
SYMBOL_CRC(ax25cmp, 0xc1444946, "");
SYMBOL_CRC(ax25_register_pid, 0x724d54c5, "_gpl");
SYMBOL_CRC(ax25_protocol_release, 0x8ede9e26, "");
SYMBOL_CRC(ax25_linkfail_register, 0x2e19fbe2, "");
SYMBOL_CRC(ax25_linkfail_release, 0x9ec188ff, "");
SYMBOL_CRC(ax25_listen_register, 0xfe699d25, "");
SYMBOL_CRC(ax25_listen_release, 0x76001550, "");
SYMBOL_CRC(ax25_header_ops, 0x84009580, "");
SYMBOL_CRC(ax25_ip_xmit, 0xf3446c16, "");
SYMBOL_CRC(ax25_send_frame, 0x7e11aced, "");
SYMBOL_CRC(ax25_display_timer, 0x14cecd59, "");
SYMBOL_CRC(ax25_uid_policy, 0x242852b9, "");
SYMBOL_CRC(ax25_findbyuid, 0xee02e420, "");
SYMBOL_CRC(ax25_find_cb, 0xdb0195ea, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x278230db, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x75c80ade, "__dev_get_by_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f0e1538, "skb_queue_purge_reason" },
	{ 0x9bbb670a, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xac2d3fc3, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x1000e51, "schedule" },
	{ 0x88834fd2, "sock_register" },
	{ 0xc1265cea, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x28fd8fdf, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x468718d7, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbd677f0a, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf80573da, "skb_queue_tail" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xdf0949c, "init_net" },
	{ 0xa925e119, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7ceae505, "dev_remove_pack" },
	{ 0xc8b00ede, "sk_free" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0xff99d27f, "_raw_write_lock" },
	{ 0x46cd9330, "skb_push" },
	{ 0x543ef284, "seq_hlist_start" },
	{ 0x3dfc897c, "seq_hlist_start_head" },
	{ 0xab5bcd0, "_raw_read_unlock" },
	{ 0xcc63469e, "_raw_write_unlock" },
	{ 0xffcaede7, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbd075954, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x441d44ad, "__skb_wait_for_more_packets" },
	{ 0xc25db82a, "sk_alloc" },
	{ 0x477f112f, "sock_no_socketpair" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xbe38032e, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcdc2cdb6, "sock_no_mmap" },
	{ 0xf573eb53, "netif_rx" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21abdace, "sock_rfree" },
	{ 0xe6eae61c, "sock_i_ino" },
	{ 0x426df86, "__dev_queue_xmit" },
	{ 0xef39c985, "skb_set_owner_w" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x75bda77a, "seq_hlist_next" },
	{ 0x297fac39, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2ff9ab7d, "remove_proc_entry" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x561751cb, "seq_printf" },
	{ 0x9027bf1b, "skb_copy" },
	{ 0xce931a35, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x4ffdc778, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x1be8b942, "seq_puts" },
	{ 0xd2b763d9, "sock_gettstamp" },
	{ 0x1b4ef274, "send_sig" },
	{ 0x213cc895, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x98fb7a50, "from_kuid_munged" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x5c0d69ec, "iov_iter_revert" },
	{ 0x4f73b66b, "proc_create_seq_private" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x6a366e12, "sock_init_data" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0x23d5857, "release_sock" },
	{ 0xe9744580, "skb_queue_head" },
	{ 0xa647b399, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xe584aaaa, "skb_free_datagram" },
	{ 0x25410589, "sock_queue_rcv_skb_reason" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x44d9bdff, "skb_put" },
	{ 0xa19602d5, "skb_expand_head" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x795de7ea, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4db525d8, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x88068b57, "__skb_try_recv_datagram" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B215A348F775664B7533A97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
