#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0x0d6240c3, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x39d91378, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x466be270, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x222a10d7, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x0bb7bffe, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xc7047f2f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92bd4b62, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7d25a8e0, "kmem_cache_alloc" },
	{ 0x1e424efb, "skb_mpls_pop" },
	{ 0x3c06e144, "skb_vlan_pop" },
	{ 0x9014e3cd, "dst_init" },
	{ 0x4eabd331, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf44d1dc6, "rtnl_link_unregister" },
	{ 0x2ef7b073, "perf_trace_run_bpf_submit" },
	{ 0x7bfa2c9b, "__skb_get_hash" },
	{ 0xdf0949c, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xdd3d72fb, "ipv6_stub" },
	{ 0xee512f3c, "skb_mpls_update_lse" },
	{ 0xa925e119, "skb_pull" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4f323b6, "netlink_unicast" },
	{ 0x165aca94, "bpf_trace_run5" },
	{ 0xdbfc19bf, "dev_get_by_index_rcu" },
	{ 0x23c97808, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x46cd9330, "skb_push" },
	{ 0x503f5c9c, "kmem_cache_free" },
	{ 0xcd4f1952, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x8240df21, "trace_event_reg" },
	{ 0xab9566cd, "skb_ensure_writable" },
	{ 0x3a05de58, "free_netdev" },
	{ 0x2fd6bbef, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x373dba5f, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x18789f1, "ethtool_op_get_link" },
	{ 0x95a12568, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x383d83c7, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc873347a, "__pskb_pull_tail" },
	{ 0x447f3147, "nf_ct_delete" },
	{ 0xbcce8388, "nf_conncount_init" },
	{ 0xf44682c8, "skb_vlan_push" },
	{ 0x40a5b3bd, "dev_get_tstats64" },
	{ 0xf573eb53, "netif_rx" },
	{ 0x7cb8812a, "__netdev_alloc_skb" },
	{ 0x1817a493, "netdev_master_upper_dev_link" },
	{ 0xcaf073a, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x85208269, "inet_proto_csum_replace16" },
	{ 0xcac7a22f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5d0597ec, "skb_scrub_packet" },
	{ 0x4ef87ea2, "nf_ct_deliver_cached_events" },
	{ 0x79950b22, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7b63bb7, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x426df86, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6e538fb3, "trace_event_buffer_reserve" },
	{ 0x228597ee, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8e1f43b3, "inet_proto_csum_replace4" },
	{ 0x4084a7b7, "nf_conncount_destroy" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xbc935dfd, "skb_zerocopy" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x11107de9, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa9caa7a, "dev_get_by_name" },
	{ 0xce931a35, "skb_clone" },
	{ 0xe602762e, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe1af41bf, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x415baecb, "peernet2id_alloc" },
	{ 0xd4a3cbde, "nf_ct_get_tuplepr" },
	{ 0x971f67a6, "netdev_rx_handler_register" },
	{ 0xb409f384, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xae5e156d, "genl_unregister_family" },
	{ 0x73513f60, "dev_disable_lro" },
	{ 0xaaf23ba2, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x2f2478ef, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xe716a427, "genl_register_family" },
	{ 0x1c262f3b, "nf_ct_tmpl_free" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7610c798, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xb10eeb39, "__skb_gso_segment" },
	{ 0xbb53856b, "up_read" },
	{ 0xcae1f735, "skb_mpls_push" },
	{ 0x41e828cc, "register_pernet_device" },
	{ 0x56a8cd98, "nf_conntrack_in" },
	{ 0x27e2e008, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xeb12cf4e, "kmalloc_caches" },
	{ 0xd41c7bfd, "kmem_cache_alloc_node" },
	{ 0xb4003430, "skb_dump" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xdf66d270, "kmem_cache_destroy" },
	{ 0x7c32808, "__skb_vlan_pop" },
	{ 0x733adfdc, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x821bc717, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x8d0dd782, "nf_ct_ext_add" },
	{ 0x9c1283b9, "__skb_get_hash_symmetric" },
	{ 0x35f87d48, "nsh_pop" },
	{ 0x39e90e3a, "nf_conntrack_find_get" },
	{ 0x14f1acc8, "nf_ct_set_timeout" },
	{ 0xdd6077a2, "dev_get_stats" },
	{ 0xfcc9d052, "__nla_put" },
	{ 0x512a332, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb72bbb6a, "dev_fill_metadata_dst" },
	{ 0x5c13dfe0, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x6327243, "skb_copy_bits" },
	{ 0x1e8e334a, "nf_ct_handle_fragments" },
	{ 0x1b28f453, "eth_mac_addr" },
	{ 0x44d9bdff, "skb_put" },
	{ 0x30de4983, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe153933a, "nsh_push" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x58716875, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x66560637, "nf_ct_nat" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbf97b8e7, "skb_eth_pop" },
	{ 0x45fe1b0a, "trace_raw_output_prep" },
	{ 0xeebdec76, "skb_gso_validate_mac_len" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xa47eb326, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x5c1bded4, "nf_ct_helper" },
	{ 0x19133baf, "__trace_trigger_soft_disabled" },
	{ 0x6bbb8a4d, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xc82fbfa6, "trace_event_printf" },
	{ 0xb3172bb, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x9d24c718, "rtnl_link_register" },
	{ 0x306cb744, "nf_connlabels_put" },
	{ 0x8e7009db, "genlmsg_put" },
	{ 0x3b1af6b4, "___pskb_trim" },
	{ 0x18312391, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcfa22aa, "dev_set_promiscuity" },
	{ 0x674ece09, "nf_ct_destroy_timeout" },
	{ 0x5f033be3, "nf_ct_add_helper" },
	{ 0x278230db, "pcpu_hot" },
	{ 0x7df70ec6, "nf_conntrack_helper_put" },
	{ 0x3c9fec20, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x60dda100, "nf_ct_skb_network_trim" },
	{ 0x6abe9778, "unregister_netdevice_queue" },
	{ 0x32de7b4f, "kmem_cache_create" },
	{ 0xf79b551e, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0x58cc8311, "ether_setup" },
	{ 0x775ab375, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x76b2da19, "pskb_expand_head" },
	{ 0x3b4fbe9, "skb_csum_hwoffload_help" },
	{ 0x49864559, "trace_event_buffer_commit" },
	{ 0xdeb908fc, "dev_addr_mod" },
	{ 0x98e41d4c, "nf_connlabels_replace" },
	{ 0x48e49e40, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6e5bd76f, "alloc_netdev_mqs" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xac280a3c, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0xf763c057, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc90fe4b0, "skb_eth_push" },
	{ 0x8ae1555d, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat");


MODULE_INFO(srcversion, "F25440F5110EB1159F86ACA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
