#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0xb46f3c47, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x94cf0395, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x4184a9d0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa83d481c, "devm_gpiod_get_optional" },
	{ 0xab51a0ee, "cs35l41_init_boost" },
	{ 0x26d503d0, "cs35l41_enter_hibernate" },
	{ 0xaa3afa9e, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0x6dc63274, "devm_snd_soc_register_component" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0xb72a147c, "regulator_bulk_disable" },
	{ 0x1919ce67, "device_property_read_u32_array" },
	{ 0xb98da65b, "snd_soc_get_enum_double" },
	{ 0x8bd3fc5e, "_dev_info" },
	{ 0xcc75c352, "snd_soc_info_volsw" },
	{ 0x969fa137, "regmap_multi_reg_write_bypassed" },
	{ 0xafd3d1fd, "_dev_err" },
	{ 0x3be557a7, "wm_adsp_event" },
	{ 0x1251b66e, "snd_soc_dapm_put_volsw" },
	{ 0x11cc6758, "cs35l41_test_key_unlock" },
	{ 0x4ae46bfa, "cs35l41_test_key_lock" },
	{ 0x1f3b22e7, "snd_pcm_hw_constraint_list" },
	{ 0x4c663cbe, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xf5999ab8, "_dev_warn" },
	{ 0xe97da3e3, "wm_adsp2_component_probe" },
	{ 0x1d155f09, "wm_adsp2_preloader_put" },
	{ 0x9b7ba7f1, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4711adff, "wm_adsp2_preloader_get" },
	{ 0x3d1b6a56, "snd_soc_info_enum_double" },
	{ 0xf56c29f3, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x5ca0f1ba, "devm_regulator_bulk_get" },
	{ 0xdd92697c, "snd_soc_info_volsw_sx" },
	{ 0x5d103089, "cs35l41_otp_unpack" },
	{ 0x8592b2f1, "wm_adsp2_component_remove" },
	{ 0xba161af8, "snd_soc_get_volsw" },
	{ 0x7e787584, "cs35l41_exit_hibernate" },
	{ 0xf4d7e86a, "regmap_read" },
	{ 0x95b5a284, "snd_soc_put_volsw" },
	{ 0x2bb2b5de, "wm_adsp_fw_get" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0x63d66758, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x5f86d945, "cs35l41_write_fs_errata" },
	{ 0xa831d231, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc29c697c, "cs35l41_configure_cs_dsp" },
	{ 0x5b1e363d, "_dev_crit" },
	{ 0xa72c7a7c, "regmap_update_bits_base" },
	{ 0x51229513, "dev_err_probe" },
	{ 0x163a0bc3, "snd_soc_dapm_get_volsw" },
	{ 0x515044a9, "__pm_runtime_suspend" },
	{ 0x52069ee6, "snd_soc_dapm_get_enum_double" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0xbabc7884, "wm_halo_init" },
	{ 0x69c61005, "wm_adsp_early_event" },
	{ 0x3ff069f4, "cs35l41_set_channels" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0x44fff227, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xf4fd88ad, "snd_soc_dapm_put_enum_double" },
	{ 0x71b64728, "wm_adsp_fw_put" },
	{ 0x4f483505, "device_property_present" },
	{ 0x653816e4, "cs35l41_global_enable" },
	{ 0xa13dddc1, "regcache_cache_only" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0x82ede622, "regcache_sync" },
	{ 0xe8532aad, "regmap_write" },
	{ 0xba606a65, "devm_request_threaded_irq" },
	{ 0x7ad7b5de, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0x8fd07364, "cs35l41_register_errata_patch" },
	{ 0x61a9972c, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x3eea6166, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x89159f02, "snd_soc_put_enum_double" },
	{ 0x899ad464, "regcache_mark_dirty" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "3F0273A252C33EA468D32D1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
